#ifndef _ORACLE_OCI_7_X__
#define _ORACLE_OCI_7_X__

#include <stdarg.h>
#include <iostream.h>  /* due to problems with gnu-c++ */

extern "C"
{
#include <oratypes.h>

/* LDA and CDA struct declarations */
#include <ocidfn.h>
#ifdef __STDC__
#include <ociapr.h>
#else
#include <ocikpr.h>
#endif

/* demo constants and structs */
#include <ocidem.h>
}

#include <mpcl/test.h>
#include <mpcl/string.hh>
#include <mpcl/linked_queue.hh>
#include <mpcl/linked_map.hh>
#include <uesqlc/defs-uesqlc.hh>


/*
*  UESQLC::oracle-oci-7.x internal definitions.
*/

#define OCI7X_UPDATE_STATUS(iCODE, SQLERROR_ACTION)  \
{                                                    \
  if ( !htOci7xManager.gBypassOracleCode )           \
  {                                                  \
    htOci7xManager.updateStatus (iCODE);             \
  }                                                  \
  else                                               \
  {                                                  \
    htOci7xManager.gBypassOracleCode = false;        \
  }                                                  \
  if ( SQLCODE < 0 )                                 \
  {                                                  \
    SQLERROR_ACTION                                  \
  }                                                  \
}

#define OCI7X_CHECK_EMPTYNESS(psCDA_DEF, NOT_FOUND_ACTION)  \
{                                                           \
  if ( psCDA_DEF->rc == NO_DATA_FOUND )                     \
  {                                                         \
    /*                                                      \
    *  Condition:  no data                                  \
    */                                                      \
    SQLCODE = 101; SQLSTATE = "02000";                      \
    NOT_FOUND_ACTION                                        \
  }                                                         \
}

#define OCI7X_CHECK_SINGLENESS(psCDA_DEF, NO_SINGLE_ACTION)  \
{                                                            \
  if ( !ofetch (psCDA_DEF) )                                 \
  {                                                          \
    /*                                                       \
    *  Condition:  cardinality violation                     \
    */                                                       \
    SQLCODE = -1; SQLSTATE = "21000";                        \
    NO_SINGLE_ACTION                                         \
  }                                                          \
}

#define OCI7X_DEFINE_INPUT(psCDA_DEF, iPOSITION, stTARGET)      \
{                                                               \
  sb4   htSize;                                                 \
  sb4   htStringSize;                                           \
  sb2   htType;                                                 \
                                                                \
  htOci7xManager.iCode = odescr ( psCDA_DEF         ,           \
                                  (sword) iPOSITION ,           \
                                  &htSize       ,           \
                                  (sb2*) 0          ,           \
                                  (sb1*) 0          ,           \
                                  (sb4*) 0          ,           \
                                  &htStringSize ,           \
                                  (sb2*) 0          ,           \
                                  (sb2*) 0          ,           \
                                  (sb2*) 0          );          \
  if ( !htOci7xManager.iCode )                                  \
  {                                                             \
    stTARGET.clear();                                           \
    stTARGET.pad (' ', 0, htStringSize + 1);                    \
    htOci7xManager.iCode = odefin ( psCDA_DEF               ,   \
                                    (sword) iPOSITION       ,   \
		                    (text*) stTARGET.data() ,   \
		                    htStringSize + 1        ,   \
		                    SQLT_STR                ,   \
		                    -1                      ,   \
		                    (sb2*) 0                ,   \
		                    (text*) 0               ,   \
		                    -1                      ,   \
		                    -1                      ,   \
		                    (ub2*) 0                ,   \
		                    (ub2*) 0                );  \
  }                                                             \
}

#define OCI7X_EXEC(kstSTATEMENT)                                          \
{                                                                         \
  Cda_Def   sTargetCda_def;                                               \
                                                                          \
  TEST_WRITE_INFO ("%s", kstSTATEMENT.data());                            \
  htOci7xManager.iCode = htOci7xManager.initiate();                       \
  if ( !htOci7xManager.iCode )                                            \
  {                                                                       \
    htOci7xManager.iCode = oopen ( &sTargetCda_def                ,   \
                                   htOci7xManager.currentConnection() ,   \
                                   (text*) 0                          ,   \
                                   -1                                 ,   \
                                   -1                                 ,   \
                                   (text*) 0                          ,   \
                                   -1                                 );  \
  }                                                                       \
  if ( !htOci7xManager.iCode )                                            \
  {                                                                       \
    htOci7xManager.iCode = oparse ( &sTargetCda_def         ,         \
                                    (text*) kstSTATEMENT.data() ,         \
                                    (sb4) -1                    ,         \
                                    (sword) 1                   ,         \
                                    (ub4) 1                     );        \
  }                                                                       \
  if ( !htOci7xManager.iCode )                                            \
  {                                                                       \
    htOci7xManager.iCode = oexec (&sTargetCda_def);                   \
  }                                                                       \
  if ( !htOci7xManager.iCode )                                            \
  {                                                                       \
    htOci7xManager.iCode = oclose (&sTargetCda_def);                  \
  }                                                                       \
}

#define OCI7X_EXEC_CURSOR(kstSTATEMENT, pkcCURSOR_NAME)                 \
{                                                                       \
  Cda_Def*   psCda_def = NULL;                                          \
                                                                        \
  TEST_WRITE_INFO ("%s", kstSTATEMENT.data());                          \
  htOci7xManager.iCode = htOci7xManager.initiate();                     \
  if ( !htOci7xManager.iCode )                                          \
  {                                                                     \
    htOci7xManager.iCode = htOci7xManager.openCursor (pkcCURSOR_NAME);  \
  }                                                                     \
  if ( !htOci7xManager.iCode )                                          \
  {                                                                     \
    psCda_def = htOci7xManager.cursor (pkcCURSOR_NAME);                 \
    if ( psCda_def )                                                    \
    {                                                                   \
      htOci7xManager.iCode = oparse ( psCda_def                   ,     \
                                      (text*) kstSTATEMENT.data() ,     \
                                      (sb4) -1                    ,     \
                                      (sword) 1                   ,     \
                                      (ub4) 1                     );    \
    }                                                                   \
  }                                                                     \
  if ( !htOci7xManager.iCode && psCda_def )                             \
  {                                                                     \
    htOci7xManager.iCode = oexec (psCda_def);                           \
  }                                                                     \
}

#define OCI7X_DECLARE_CURSOR(kstSTATEMENT, pkcCURSOR_NAME)              \
{                                                                       \
  Cda_Def*   psCda_def = NULL;                                          \
                                                                        \
  TEST_WRITE_INFO ("%s", kstSTATEMENT.data());                          \
  htOci7xManager.iCode = htOci7xManager.initiate();                     \
  if ( !htOci7xManager.iCode )                                          \
  {                                                                     \
    htOci7xManager.iCode = htOci7xManager.openCursor (pkcCURSOR_NAME);  \
  }                                                                     \
  if ( !htOci7xManager.iCode )                                          \
  {                                                                     \
    psCda_def = htOci7xManager.cursor (pkcCURSOR_NAME);                 \
    if ( psCda_def )                                                    \
    {                                                                   \
      htOci7xManager.iCode = oparse ( psCda_def                   ,     \
                                      (text*) kstSTATEMENT.data() ,     \
                                      (sb4) -1                    ,     \
                                      (sword) 1                   ,     \
                                      (ub4) 1                     );    \
    }                                                                   \
  }                                                                     \
}

#define OCI7X_OPEN_CURSOR(pkcCURSOR_NAME)                         \
{                                                                 \
  Cda_Def*   psCda_def = htOci7xManager.cursor (pkcCURSOR_NAME);  \
                                                                  \
  if ( !htOci7xManager.iCode && psCda_def )                       \
  {                                                               \
    htOci7xManager.iCode = oexec (psCda_def);                     \
  }                                                               \
}


/*
*  UESQLC::oracle-oci-7.x internal classes.
*/

class TOci7xManager
{

  public:

    int                        iCode;
    mutable bool               gBypassOracleCode;
    TString                    stSqlInstruction;
    const TString              kstDefaultConnectionName;
    TLinkedQueue<TString>   tEmbeddedVariableValueQueue;

  
  private:

    TLinkedMap<TString, Lda_Def*>   tLda_defMap;
    TLinkedMap<TString, Cda_Def*>   tCda_defMap;
    TLinkedMap<TString, ub1*>       tHdaMap;
    TString                            stCurrentConnection;
    bool                               gIsThereConnection;

  
  public:

    /*
    *  C O N S T R U C T O R S
    */

    TOci7xManager (void)                      :
      iCode                       (0)         ,
      gBypassOracleCode           (false)     ,
      stSqlInstruction            ()          ,
      kstDefaultConnectionName    ("DEFAULT") ,
      tEmbeddedVariableValueQueue ()          ,
      tLda_defMap                 ()          ,
      tCda_defMap                 ()          ,
      tHdaMap                     ()          ,
      stCurrentConnection         ()          ,
      gIsThereConnection          (false)     {}

    ~TOci7xManager (void);

    int initiate (void);

    void finish (void);

    int connect (const TString& rkstCONNECTION_NAME, text* pktUSER_ID);

    int disconnect (const TString& rkstCONNECTION_NAME);

    int disconnectCurrent (void);

    int disconnectAll (void);

    Lda_Def* setCurrentConnection (const TString& rkstCONNECTION_NAME);

    int openCursor (const TString& rkstCURSOR_NAME);

    int closeCursor (const TString& rkstCURSOR_NAME);

    void initiateEmbeddedVariableMap (const char* pkcNULL_INITIATOR...);

    TString instantiateString (const char* pkcFORMAT);


  public:

    /*
    *  S E L E C T O R S
    */

    bool existsDefaultConnection (void) const;

    bool isConnected (const TString& rkstCONNECTION_NAME) const;

    Lda_Def* currentConnection (void);

    Lda_Def* connection (const TString& rkstCONNECTION_NAME);

    Cda_Def* cursor (const TString& rkstCURSOR_NAME) const;

    void updateStatus (const int iCODE) const;

};  /* class TOci7xManager */


#endif  /* not _ORACLE_OCI_7_X__ */
