#include "oracle-oci-7.x.hh"


/*
*  UESQLC::oracle-oci-7.x internal variables initiation.
*/

TOci7xManager   htOci7xManager;


/*
*  Name:      test-general-2.uesql.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   NIST SQL Test Suite
*  Date:      $Date: 1998/10/29 23:10:30 $
*  Revision:  $Revision: 1.3 $
*
*  The tests contained in this file corresponds to APPENDIX B
*  from NIST SQL Test Suite 5.1. These  tests  mainly  checks
*  the validity of the compiler. The tests that must fail are
*  commented out. The next message comes from the NIST SQL
*  Test Suite Manual. 
*
*
*  NIST SQL Test Suite
*
*    Version 5.1
*    May 1995
*
*
*  Evaluating Conformance to SQL Standards:
*
*    FIPS 127-2
*    ANSI X3.135-1992
*    ISO/IEC 9075:1992
*    X/Open XPG4 SQL
*
*
*  National Institute of Standards and Technology
*  Computer Systems Laboratory
*  Information Systems Engineering Division
*
*
*  Copyright (C) 1996-1998  Rafael Jesus Alcantara Perez <ralcan@vnet.es>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/
                                        

int main (void)
{

{
/*
*  OCI 7.x instructions.
*/
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA AUTHORIZATION HU CREATE TABLE BASE_TESTREPORT (TESTNO CHARACTER (4), RESULT CHARACTER (4), TESTTYPE CHARACTER (3)) CREATE TABLE HU.ECCO (C1 CHARACTER (2)) CREATE TABLE STAFF (EMPNUM CHARACTER (3) NOT NULL UNIQUE, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15)) CREATE TABLE PROJ (PNUM CHARACTER (3) NOT NULL UNIQUE, PNAME CHARACTER (20), PTYPE CHARACTER (6), BUDGET DECIMAL (9), CITY CHARACTER (15)) CREATE TABLE WORKS (EMPNUM CHARACTER (3) NOT NULL, PNUM CHARACTER (3) NOT NULL, HOURS DECIMAL (5), UNIQUE (EMPNUM, PNUM)) CREATE TABLE FIPS1 (FIPS_TEST CHARACTER (20)) CREATE TABLE STAFF1 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15)) CREATE TABLE PROJ1 (PNUM CHARACTER (3) NOT NULL UNIQUE, PNAME CHARACTER (20), PTYPE CHARACTER (6), BUDGET DECIMAL (9), CITY CHARACTER (15)) CREATE TABLE WORKS1 (EMPNUM CHARACTER (3) NOT NULL, PNUM CHARACTER (3) NOT NULL, HOURS DECIMAL (5), UNIQUE (EMPNUM, PNUM)) CREATE TABLE STAFF3 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15)) CREATE TABLE STAFF4 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15)) CREATE TABLE LONGINT (LONG_INT DECIMAL (15)) CREATE TABLE TEMP_S (EMPNUM CHARACTER (3), GRADE DECIMAL (4), CITY CHARACTER (15)) CREATE TABLE TMP (T1 CHARACTER (10), T2 DECIMAL (2), T3 CHARACTER (10)) CREATE TABLE AA (CHARTEST CHARACTER (20)) CREATE TABLE BB (CHARTEST CHARACTER) CREATE TABLE CC (CHARTEST CHARACTER (20)) CREATE TABLE DD (CHARTEST CHARACTER) CREATE TABLE EE (INTTEST INTEGER) CREATE TABLE FF (INTTEST INTEGER) CREATE TABLE GG (REALTEST REAL) CREATE TABLE HH (SMALLTEST SMALLINT) CREATE TABLE II (DOUBLETEST DOUBLE PRECISION) CREATE TABLE JJ (FLOATTEST FLOAT) CREATE TABLE KK (FLOATTEST FLOAT (32)) CREATE TABLE LL (NUMTEST NUMERIC (13, 6)) CREATE TABLE MM (NUMTEST NUMERIC) CREATE TABLE MM2 (NUMTEST NUMERIC (10)) CREATE TABLE NN (NUMTEST NUMERIC (9)) CREATE TABLE OO (NUMTEST NUMERIC (9)) CREATE TABLE PP (NUMTEST DECIMAL (13, 6)) CREATE TABLE QQ (NUMTEST DECIMAL) CREATE TABLE RR (NUMTEST DECIMAL (8)) CREATE TABLE SS (NUMTEST DECIMAL (13, 6)) CREATE TABLE P1 (NUMTEST NUMERIC (1)) CREATE TABLE P7 (NUMTEST NUMERIC (7)) CREATE TABLE P12 (NUMTEST NUMERIC (12)) CREATE TABLE P15 (NUMTEST NUMERIC (15)) CREATE TABLE VTABLE (COL1 INTEGER, COL2 INTEGER, COL3 INTEGER, COL4 INTEGER, COL5 DECIMAL (7, 2)) CREATE TABLE UPUNIQ (NUMKEY DECIMAL (3) NOT NULL UNIQUE, COL2 CHARACTER (2)) CREATE TABLE TEXT80 (TEXXT CHARACTER (80)) CREATE TABLE TEXT132 (TEXXT CHARACTER (132)) CREATE TABLE TEXT240 (TEXXT CHARACTER (240)) CREATE TABLE TEXT256 (TEXXT CHARACTER (256)) CREATE TABLE TEXT512 (TEXXT CHARACTER (512)) CREATE TABLE TEXT1024 (TEXXT CHARACTER (1024)) CREATE TABLE T240 (STR240 CHARACTER (240)) CREATE TABLE DEC15 (COL1 DECIMAL (15, 7)) CREATE TABLE FLO15 (COL1 FLOAT (15)) CREATE TABLE INT10 (COL1 INTEGER, COL2 SMALLINT) CREATE TABLE T100 (C1 CHARACTER (2), C2 CHARACTER (2), C3 CHARACTER (2), C4 CHARACTER (2), C5 CHARACTER (2), C6 CHARACTER (2), C7 CHARACTER (2), C8 CHARACTER (2), C9 CHARACTER (2), C10 CHARACTER (2), C11 CHARACTER (2), C12 CHARACTER (2), C13 CHARACTER (2), C14 CHARACTER (2), C15 CHARACTER (2), C16 CHARACTER (2), C17 CHARACTER (2), C18 CHARACTER (2), C19 CHARACTER (2), C20 CHARACTER (2), C21 CHARACTER (2), C22 CHARACTER (2), C23 CHARACTER (2), C24 CHARACTER (2), C25 CHARACTER (2), C26 CHARACTER (2), C27 CHARACTER (2), C28 CHARACTER (2), C29 CHARACTER (2), C30 CHARACTER (2), C31 CHARACTER (2), C32 CHARACTER (2), C33 CHARACTER (2), C34 CHARACTER (2), C35 CHARACTER (2), C36 CHARACTER (2), C37 CHARACTER (2), C38 CHARACTER (2), C39 CHARACTER (2), C40 CHARACTER (2), C41 CHARACTER (2), C42 CHARACTER (2), C43 CHARACTER (2), C44 CHARACTER (2), C45 CHARACTER (2), C46 CHARACTER (2), C47 CHARACTER (2), C48 CHARACTER (2), C49 CHARACTER (2), C50 CHARACTER (2), C51 CHARACTER (2), C52 CHARACTER (2), C53 CHARACTER (2), C54 CHARACTER (2), C55 CHARACTER (2), C56 CHARACTER (2), C57 CHARACTER (2), C58 CHARACTER (2), C59 CHARACTER (2), C60 CHARACTER (2), C61 CHARACTER (2), C62 CHARACTER (2), C63 CHARACTER (2), C64 CHARACTER (2), C65 CHARACTER (2), C66 CHARACTER (2), C67 CHARACTER (2), C68 CHARACTER (2), C69 CHARACTER (2), C70 CHARACTER (2), C71 CHARACTER (2), C72 CHARACTER (2), C73 CHARACTER (2), C74 CHARACTER (2), C75 CHARACTER (2), C76 CHARACTER (2), C77 CHARACTER (2), C78 CHARACTER (2), C79 CHARACTER (2), C80 CHARACTER (2), C81 CHARACTER (2), C82 CHARACTER (2), C83 CHARACTER (2), C84 CHARACTER (2), C85 CHARACTER (2), C86 CHARACTER (2), C87 CHARACTER (2), C88 CHARACTER (2), C89 CHARACTER (2), C90 CHARACTER (2), C91 CHARACTER (2), C92 CHARACTER (2), C93 CHARACTER (2), C94 CHARACTER (2), C95 CHARACTER (2), C96 CHARACTER (2), C97 CHARACTER (2), C98 CHARACTER (2), C99 CHARACTER (2), C100 CHARACTER (2)) CREATE TABLE T2000 (STR110 CHARACTER (110), STR120 CHARACTER (120), STR130 CHARACTER (130), STR140 CHARACTER (140), STR150 CHARACTER (150), STR160 CHARACTER (160), STR170 CHARACTER (170), STR180 CHARACTER (180), STR190 CHARACTER (190), STR200 CHARACTER (200), STR210 CHARACTER (210), STR216 CHARACTER (216)) CREATE TABLE T8 (COL1 CHARACTER (2) NOT NULL, COL2 CHARACTER (4) NOT NULL, COL3 CHARACTER (6) NOT NULL, COL4 CHARACTER (8) NOT NULL, COL5 CHARACTER (10) NOT NULL, COL6 CHARACTER (12) NOT NULL, COL7 CHARACTER (14), COL8 CHARACTER (16), UNIQUE (COL1, COL2, COL3, COL4, COL5, COL6)) CREATE TABLE T118 (STR118 CHARACTER (118) NOT NULL UNIQUE) CREATE TABLE T4 (STR110 CHARACTER (110) NOT NULL, NUM6 NUMERIC (6) NOT NULL, COL3 CHARACTER (10), COL4 CHARACTER (20), UNIQUE (STR110, NUM6)) CREATE TABLE T12 (COL1 CHARACTER (1), COL2 CHARACTER (2), COL3 CHARACTER (4), COL4 CHARACTER (6), COL5 CHARACTER (8), COL6 CHARACTER (10), COL7 CHARACTER (20), COL8 CHARACTER (30), COL9 CHARACTER (40), COL10 CHARACTER (50), COL11 INTEGER, COL12 INTEGER) CREATE TABLE NEXTKEY (KEYNUM INTEGER, AUTHOR CHARACTER (1), DOLLARS INTEGER) CREATE TABLE SV (NUMTEST NUMERIC (8, 3)) CREATE TABLE JJ_20 (FLOATTEST FLOAT (20)) CREATE TABLE PP_15 (NUMTEST DECIMAL (15, 15)) CREATE TABLE PP_7 (NUMTEST DECIMAL (15, 7)) CREATE TABLE P15_15 (NUMTEST NUMERIC (15, 15)) CREATE TABLE P15_7 (NUMTEST NUMERIC (15, 7)) CREATE TABLE TEMP_OBSERV (YEAR_OBSERV NUMERIC (4), CITY CHARACTER (10), MAX_TEMP NUMERIC (5, 2), MIN_TEMP NUMERIC (5, 2)) CREATE TABLE TOKENS (PROG_NO INTEGER, TOKEN_NO INTEGER) CREATE TABLE WHICH_SCHEMA1 (C1 CHARACTER (50)) CREATE VIEW TESTREPORT AS SELECT TESTNO, RESULT, TESTTYPE FROM BASE_TESTREPORT CREATE VIEW CELSIUS_OBSERV (CITY, YEAR_OBSERV, MIN_C, MAX_C) AS SELECT CITY, YEAR_OBSERV, (((MIN_TEMP - 32) * 5) / 9), (((MAX_TEMP - 32) * 5) / 9) FROM TEMP_OBSERV CREATE VIEW MULTI_YEAR_OBSERV (CITY, HIGH, LOW) AS SELECT CITY, AVG (MAX_TEMP), AVG (MIN_TEMP) FROM TEMP_OBSERV GROUP BY CITY CREATE VIEW EXTREME_TEMPS (YEAR_OBSERV, HIGH, LOW) AS SELECT YEAR_OBSERV, MAX (MAX_TEMP), MIN (MIN_TEMP) FROM TEMP_OBSERV GROUP BY YEAR_OBSERV CREATE VIEW SET_TEST (EMP1, EMP_AVG, EMP_MAX) AS SELECT STAFF.EMPNUM, AVG (HOURS), MAX (HOURS) FROM STAFF, WORKS GROUP BY STAFF.EMPNUM CREATE VIEW DUP_COL (EMP1, PNO, HOURS, HOURS_2) AS SELECT EMPNUM, PNUM, HOURS, (HOURS * 2) FROM WORKS CREATE VIEW STAFFV1 AS SELECT * FROM STAFF WHERE ( GRADE >= 12 ) CREATE VIEW STAFFV2 AS SELECT * FROM STAFF WHERE ( GRADE >= 12 ) WITH CHECK OPTION CREATE VIEW STAFFV2_VIEW AS SELECT * FROM STAFFV2 WHERE ( CITY = 'Vienna' ) CREATE VIEW DOMAIN_VIEW AS SELECT * FROM WORKS WHERE ( ( ( ( EMPNUM = 'E1' ) AND ( HOURS = 80 ) ) OR ( ( EMPNUM = 'E2' ) AND ( HOURS = 40 ) ) ) OR ( ( EMPNUM = 'E4' ) AND ( HOURS = 20 ) ) ) WITH CHECK OPTION CREATE VIEW STAFF2 AS SELECT * FROM STAFF WITH CHECK OPTION CREATE VIEW STAFF_WORKS_DESIGN (NAME, COST, PROJECT) AS SELECT EMPNAME, ((HOURS * 2) * GRADE), PNAME FROM PROJ, STAFF, WORKS WHERE ( ( ( STAFF.EMPNUM = WORKS.EMPNUM ) AND ( WORKS.PNUM = PROJ.PNUM ) ) AND ( PTYPE = 'Design' ) ) CREATE VIEW SUBSP (EMPNUM, PNUM, HOURS) AS SELECT EMPNUM, PNUM, HOURS FROM WORKS WHERE ( EMPNUM = 'E3' ) WITH CHECK OPTION CREATE VIEW TEMP_SS (EMPNUM, GRADE, CITY) AS SELECT EMPNUM, GRADE, CITY FROM STAFF WHERE ( GRADE > 12 ) WITH CHECK OPTION CREATE VIEW V_WORKS1 AS SELECT * FROM WORKS WHERE ( HOURS > 15 ) WITH CHECK OPTION CREATE VIEW V_WORKS2 AS SELECT * FROM V_WORKS1 WHERE ( ( EMPNUM = 'E1' ) OR ( EMPNUM = 'E6' ) ) CREATE VIEW V_WORKS3 AS SELECT * FROM V_WORKS2 WHERE ( ( PNUM = 'P2' ) OR ( PNUM = 'P7' ) ) WITH CHECK OPTION CREATE VIEW UPDATE_VIEW1 AS SELECT ALL CITY FROM PROJ CREATE VIEW UPDATE_VIEW2 AS SELECT HOURS, EMPNUM, PNUM FROM WORKS WHERE ( HOURS IN (10, 20, 40) ) CREATE VIEW UPDATE_VIEW3 AS SELECT * FROM WORKS WHERE ( ( PNUM BETWEEN 'P2' AND 'P4' ) AND ( EMPNUM NOT BETWEEN 'E2' AND 'E3' ) ) CREATE VIEW UPDATE_VIEW4 AS SELECT PNUM, EMPNUM FROM WORKS WHERE ( PNUM LIKE '_2%' ) CREATE VIEW UPDATE_VIEW5 AS SELECT * FROM STAFF WHERE ( ( EMPNAME IS NOT NULL ) AND ( CITY IS NULL ) ) CREATE VIEW UPDATE_VIEW6 AS SELECT EMPNAME, CITY, GRADE FROM STAFF WHERE ( ( ( ( EMPNAME >= 'Betty' ) AND ( EMPNUM < 'E35' ) ) OR ( ( CITY <= 'Deale' ) AND ( GRADE > 12 ) ) ) OR ( ( GRADE = 13 ) AND ( CITY <> 'Akron' ) ) ) CREATE VIEW UPDATE_VIEW7 AS SELECT EMPNAME, CITY, GRADE FROM STAFFV2 WHERE ( ( ( ( EMPNAME >= 'Betty' ) AND ( EMPNUM < 'E35' ) ) OR ( ( CITY <= 'Deale' ) AND ( GRADE > 12 ) ) ) OR ( ( GRADE = 13 ) AND ( CITY <> 'Akron' ) ) ) CREATE VIEW UPDATE_VIEW8 AS SELECT MYTABLE.EMPNUM, MYTABLE.EMPNAME FROM STAFF AS MYTABLE WHERE ( MYTABLE.GRADE = 12 ) CREATE VIEW UPDATE_VIEW9 AS SELECT EMPNAME, CITY, GRADE FROM STAFF WHERE ( ( ( ( NOT ( EMPNAME >= 'Betty' ) ) AND ( EMPNUM <= 'E35' ) ) OR ( ( ( NOT ( CITY <= 'Deale' ) ) AND ( GRADE > 9 ) ) AND ( NOT ( ( GRADE = 13 ) AND ( CITY <> 'Akron' ) ) ) ) ) OR ( NOT ( CITY IN ('Vienna', 'New York', 'Deale') ) ) ) CREATE VIEW VSTAFF3 AS SELECT * FROM STAFF3 GRANT SELECT ON HU.ECCO TO PUBLIC GRANT INSERT ON TESTREPORT TO PUBLIC WITH GRANT OPTION GRANT ALL PRIVILEGES ON TESTREPORT TO SUN, XOPEN1 WITH GRANT OPTION GRANT SELECT ON STAFF TO SULLIVAN1 WITH GRANT OPTION GRANT ALL PRIVILEGES ON STAFF TO PUBLIC GRANT SELECT ON WORKS TO PUBLIC GRANT SELECT ON PROJ TO PUBLIC GRANT SELECT, UPDATE ON WORKS TO CUGINI WITH GRANT OPTION GRANT SELECT, UPDATE ON STAFF2 TO SULLIVAN GRANT SELECT, UPDATE (EMPNUM, EMPNAME) ON STAFF3 TO SULLIVAN, CUGINI, FLATER, SULLIVAN1 WITH GRANT OPTION GRANT SELECT, INSERT, DELETE ON STAFF4 TO SULLIVAN, CUGINI, FLATER, SULLIVAN1 GRANT INSERT ON UPUNIQ TO SULLIVAN GRANT SELECT, UPDATE (EMPNUM, EMPNAME) ON VSTAFF3 TO FLATER WITH GRANT OPTION GRANT ALL PRIVILEGES ON HH TO SCHANZLE GRANT ALL PRIVILEGES ON FF TO SCHANZLE GRANT ALL PRIVILEGES ON P1 TO SCHANZLE GRANT ALL PRIVILEGES ON P15 TO FLATER GRANT ALL PRIVILEGES ON T100 TO FLATER GRANT ALL PRIVILEGES ON TOKENS TO PUBLIC GRANT UPDATE (COL1) ON VTABLE TO FLATER");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA AUTHORIZATION CUGINI GRANT SELECT, UPDATE ON HU.WORKS TO SULLIVAN CREATE TABLE VTABLE (COL1 INTEGER, COL2 INTEGER, COL3 INTEGER, COL4 INTEGER, COL5 DECIMAL (7, 2)) GRANT ALL PRIVILEGES ON VTABLE TO HU GRANT SELECT, INSERT, DELETE ON HU.STAFF4 TO SCHANZLE CREATE TABLE AA (CHARTEST CHARACTER (20)) CREATE VIEW VAA AS SELECT * FROM AA CREATE TABLE BB (CHARTEST CHARACTER) CREATE VIEW VBB AS SELECT * FROM BB CREATE TABLE CC (CHARTEST CHARACTER (20)) CREATE VIEW VCC AS SELECT * FROM CC CREATE TABLE DD (CHARTEST CHARACTER) CREATE VIEW VDD AS SELECT * FROM DD CREATE TABLE EE (INTTEST INTEGER) CREATE TABLE FF (INTTEST INTEGER) CREATE TABLE GG (C1 INTEGER) CREATE TABLE HH (SMALLTEST SMALLINT) CREATE TABLE II (C1 INTEGER) CREATE VIEW VII AS SELECT * FROM II CREATE TABLE JJ (C1 INTEGER) CREATE TABLE SRCH1 (C1 INTEGER) CREATE TABLE BADG1 (C1 INTEGER) CREATE TABLE BADG2 (C1 INTEGER) CREATE VIEW VBADG2 AS SELECT * FROM BADG2 CREATE VIEW VVTABLE AS SELECT * FROM VTABLE GRANT SELECT ON AA TO SCHANZLE GRANT SELECT ON VAA TO SCHANZLE GRANT INSERT ON BB TO SCHANZLE GRANT INSERT ON VBB TO SCHANZLE GRANT UPDATE ON CC TO SCHANZLE GRANT UPDATE ON VCC TO SCHANZLE GRANT DELETE ON DD TO SCHANZLE GRANT DELETE ON VDD TO SCHANZLE GRANT SELECT ON EE TO PUBLIC GRANT INSERT ON FF TO PUBLIC GRANT UPDATE ON GG TO PUBLIC GRANT DELETE ON HH TO PUBLIC GRANT ALL PRIVILEGES ON II TO SCHANZLE GRANT ALL PRIVILEGES ON VII TO SCHANZLE GRANT ALL PRIVILEGES ON JJ TO PUBLIC GRANT INSERT, UPDATE, DELETE ON SRCH1 TO SCHANZLE GRANT ALL PRIVILEGES ON BADG1 TO FLATER GRANT SELECT ON VBADG2 TO FLATER WITH GRANT OPTION GRANT ALL PRIVILEGES ON VVTABLE TO HU");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA AUTHORIZATION MCGINN CREATE TABLE BASETABLE1 (COL1 INTEGER)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA AUTHORIZATION SULLIVAN1 CREATE TABLE AUTH_TABLE (FIRST1 INTEGER, SECOND2 CHARACTER) CREATE VIEW MUL_SCH AS SELECT EMPNUM, SECOND2 FROM HU.STAFF, AUTH_TABLE WHERE ( GRADE = FIRST1 ) GRANT ALL PRIVILEGES ON AUTH_TABLE TO HU GRANT SELECT ON MUL_SCH TO HU CREATE TABLE MP1_MM2 (NUMTEST NUMERIC (10)) CREATE TABLE MP1_NN (NUMTEST NUMERIC (9)) CREATE TABLE MP1_NEXTKEY (KEYNUM INTEGER, AUTHOR CHARACTER (1), DOLLARS INTEGER) CREATE TABLE MP2_MM2 (NUMTEST NUMERIC (10)) CREATE TABLE MP2_NN (NUMTEST NUMERIC (9)) CREATE TABLE MP2_NEXTKEY (KEYNUM INTEGER, AUTHOR CHARACTER (1), DOLLARS INTEGER) CREATE TABLE MP3_MM2 (NUMTEST NUMERIC (10)) CREATE TABLE MP3_NN (NUMTEST NUMERIC (9)) CREATE TABLE MP3_NEXTKEY (KEYNUM INTEGER, AUTHOR CHARACTER (1), DOLLARS INTEGER) CREATE TABLE MP4_MM2 (NUMTEST NUMERIC (10)) CREATE TABLE MP4_NN (NUMTEST NUMERIC (9)) CREATE TABLE MP4_NEXTKEY (KEYNUM INTEGER, AUTHOR CHARACTER (1), DOLLARS INTEGER) CREATE TABLE MP5_AA (ANUM NUMERIC (4)) CREATE TABLE MP5_AA_INDEX (ANUM NUMERIC (4) NOT NULL UNIQUE) CREATE TABLE MP5_TT (TESTTYPE CHARACTER (3), KOUNT DECIMAL (4)) CREATE TABLE TTT (ANUM NUMERIC (4) NOT NULL UNIQUE, AUTHOR CHARACTER (1)) CREATE TABLE TT (DOLLARS NUMERIC (4), ANUM NUMERIC (4)) CREATE TABLE AA (ANUM NUMERIC (4)) CREATE TABLE BB (BNUM NUMERIC (4)) GRANT SELECT, UPDATE ON HU.STAFF3 TO SULLIVAN1 WITH GRANT OPTION CREATE TABLE MP6_MM2 (NUMTEST NUMERIC (10)) CREATE TABLE MP6_NN (NUMTEST NUMERIC (9)) CREATE TABLE MP6_NEXTKEY (KEYNUM INTEGER, AUTHOR CHARACTER (1), DOLLARS INTEGER) CREATE TABLE MP6_AA (ANUM NUMERIC (4)) CREATE TABLE MP6_BB (BNUM NUMERIC (4)) CREATE TABLE MP7_NN (NUMTEST NUMERIC (9)) CREATE TABLE MP7_NEXTKEY (KEYNUM INTEGER, AUTHOR CHARACTER (1), DOLLARS INTEGER) CREATE TABLE MP7_AA (ANUM NUMERIC (4)) CREATE TABLE MP7_BB (BNUM NUMERIC (4)) CREATE TABLE MP8_NN (NUMTEST NUMERIC (9)) CREATE TABLE MP8_NEXTKEY (KEYNUM INTEGER, AUTHOR CHARACTER (1), DOLLARS INTEGER) CREATE TABLE MP8_AA (ANUM NUMERIC (4) NOT NULL, AUTHOR CHARACTER (1), UNIQUE (ANUM)) CREATE TABLE MP8_BB (NUMTEST NUMERIC (9)) CREATE TABLE MP9_NN (NUMTEST NUMERIC (9)) CREATE TABLE MP9_NEXTKEY (KEYNUM INTEGER, AUTHOR CHARACTER (1), DOLLARS INTEGER) CREATE TABLE MP9_AA (ANUM NUMERIC (4)) CREATE TABLE MP9_BB (BNUM NUMERIC (4)) CREATE TABLE USG102 (C1 INTEGER, C_1 INTEGER) CREATE TABLE USG103 (C1 INTEGER, C_1 INTEGER)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA AUTHORIZATION FLATER CREATE TABLE CONCATBUF (ZZ CHARACTER (240)) CREATE TABLE USIG (C1 INTEGER, C_1 INTEGER) CREATE TABLE U_SIG (C1 INTEGER, C_1 INTEGER) CREATE VIEW DV1 AS SELECT DISTINCT HOURS FROM HU.WORKS CREATE TABLE TINY (C1 CHARACTER (33000)) CREATE TABLE BASE_WCOV (C1 INTEGER) CREATE VIEW WCOV AS SELECT * FROM BASE_WCOV WHERE ( C1 > 0 ) WITH CHECK OPTION CREATE TABLE BASE_VS1 (C1 INTEGER, C2 INTEGER) CREATE VIEW VS1 AS SELECT * FROM BASE_VS1 WHERE ( C1 = 0 ) CREATE VIEW VS2 AS SELECT A.C1 FROM BASE_VS1 AS A WHERE ( EXISTS (SELECT B.C2 FROM BASE_VS1 AS B WHERE ( B.C2 = A.C1 )) ) CREATE VIEW VS3 AS SELECT A.C2 FROM BASE_VS1 AS A WHERE ( A.C2 IN (SELECT B.C1 FROM BASE_VS1 AS B WHERE ( B.C1 < A.C2 )) ) CREATE VIEW VS4 AS SELECT A.C1 FROM BASE_VS1 AS A WHERE ( A.C1 < ALL (SELECT B.C2 FROM BASE_VS1 AS B) ) CREATE VIEW VS5 AS SELECT A.C1 FROM BASE_VS1 AS A WHERE ( A.C1 < SOME (SELECT B.C2 FROM BASE_VS1 AS B) ) CREATE VIEW VS6 AS SELECT A.C1 FROM BASE_VS1 AS A WHERE ( A.C1 < ANY (SELECT B.C2 FROM BASE_VS1 AS B) ) GRANT ALL PRIVILEGES ON TINY TO SCHANZLE GRANT ALL PRIVILEGES ON BASE_WCOV TO SCHANZLE GRANT ALL PRIVILEGES ON WCOV TO SCHANZLE GRANT ALL PRIVILEGES ON VS1 TO SCHANZLE GRANT SELECT, UPDATE ON HU.STAFF3 TO SCHANZLE GRANT SELECT, UPDATE ON HU.VSTAFF3 TO SCHANZLE GRANT SELECT ON CUGINI.BADG1 TO SCHANZLE GRANT SELECT ON CUGINI.BADG2 TO SCHANZLE CREATE VIEW 'SULLIVAN.SELECT' ('sullivan.select') AS SELECT C1 FROM BASE_VS1 GRANT ALL PRIVILEGES ON 'SULLIVAN.SELECT' TO SCHANZLE");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA SHIRLEY_HURWITZ AUTHORIZATION FLATER CREATE VIEW NOT_AVAILABLE AS SELECT TIMESLOT FROM MEETINGS CREATE TABLE MEETINGS (TIMESLOT INTEGER, AGENDA CHARACTER (4))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA LEN_GALLAGHER CREATE TABLE TRAVEL (TRAVEL_ORDER CHARACTER (40) NOT NULL UNIQUE, DESTINATION CHARACTER (40), REASON_CODE NUMERIC (9)) GRANT SELECT ON TRAVEL TO PUBLIC");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA AUTHORIZATION CANWEPARSELENGTH18 CREATE TABLE CHARACTER18TABLE18 (CHARS18NAME18CHARS CHARACTER (4)) CREATE VIEW CHARACTERS18VIEW18 (LONGNAME18LONGNAME) AS SELECT CHARS18NAME18CHARS FROM CHARACTER18TABLE18 WHERE ( CHARS18NAME18CHARS <> 'long' )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA AUTHORIZATION SUN CREATE TABLE SUN.ECCO (C1 CHARACTER (2)) CREATE TABLE STAFF (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15)) CREATE TABLE PROJ (PNUM CHARACTER (3) NOT NULL, PNAME CHARACTER (20), PTYPE CHARACTER (6), BUDGET DECIMAL (9), CITY CHARACTER (15)) CREATE TABLE WORKS (EMPNUM CHARACTER (3) NOT NULL, PNUM CHARACTER (3) NOT NULL, HOURS DECIMAL (5)) CREATE TABLE STAFF3 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15), UNIQUE (EMPNUM)) CREATE TABLE PROJ3 (PNUM CHARACTER (3) NOT NULL, PNAME CHARACTER (20), PTYPE CHARACTER (6), BUDGET DECIMAL (9), CITY CHARACTER (15), UNIQUE (PNUM)) CREATE TABLE WORKS3 (EMPNUM CHARACTER (3) NOT NULL, PNUM CHARACTER (3) NOT NULL, HOURS DECIMAL (5), FOREIGN KEY (EMPNUM) REFERENCES STAFF3 (EMPNUM), FOREIGN KEY (PNUM) REFERENCES PROJ3 (PNUM)) CREATE TABLE STAFF4 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20) DEFAULT NULL, GRADE DECIMAL (4) DEFAULT 0, CITY CHARACTER (15) DEFAULT '               ') CREATE TABLE STAFF14 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20) DEFAULT USER, GRADE DECIMAL (4), CITY CHARACTER (15)) CREATE TABLE STAFF5 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15), PRIMARY KEY (EMPNUM), CHECK ( ( ( GRADE > 0 ) AND ( GRADE < 20 ) ) )) CREATE TABLE STAFF6 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4) CHECK ( ( ( GRADE > 0 ) AND ( GRADE < 20 ) ) ), CITY CHARACTER (15)) CREATE TABLE STAFF7 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15), PRIMARY KEY (EMPNUM), CHECK ( ( GRADE BETWEEN 1 AND 20 ) )) CREATE TABLE STAFF8 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15), PRIMARY KEY (EMPNUM), CHECK ( ( EMPNAME IS NOT NULL ) )) CREATE TABLE STAFF9 (EMPNUM CHARACTER (3) NOT NULL PRIMARY KEY, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15), CHECK ( ( EMPNAME NOT LIKE 'T%' ) )) CREATE TABLE STAFF10 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15), PRIMARY KEY (EMPNUM), CHECK ( ( GRADE NOT IN (5, 22) ) )) CREATE TABLE STAFF11 (EMPNUM CHARACTER (3) NOT NULL PRIMARY KEY, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15), CHECK ( ( ( GRADE NOT IN (5, 22) ) AND ( EMPNAME NOT LIKE 'T%' ) ) )) CREATE TABLE STAFF12 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15), PRIMARY KEY (EMPNUM), CHECK ( ( ( NOT ( GRADE IN (5, 22) ) ) AND ( NOT ( EMPNAME LIKE 'T%' ) ) ) )) CREATE TABLE STAFF13 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15), PRIMARY KEY (EMPNUM), CHECK ( ( NOT ( EMPNAME IS NULL ) ) )) CREATE TABLE STAFF15 (EMPNUM CHARACTER (3), EMPNAME CHARACTER (20) NOT NULL, GRADE DECIMAL (4), CITY CHARACTER (15)) CREATE TABLE STAFF16 (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20) DEFAULT NULL, GRADE DECIMAL (4) NOT NULL CHECK ( ( GRADE IN (100, 150, 200) ) ), CITY CHARACTER (15), PRIMARY KEY (GRADE, EMPNUM)) CREATE TABLE SIZ1_P (S1 CHARACTER (3) NOT NULL, S2 CHARACTER (3) NOT NULL, S3 DECIMAL (4) NOT NULL, S4 CHARACTER (3) NOT NULL, S5 DECIMAL (4) NOT NULL, S6 CHARACTER (3) NOT NULL, R1 CHARACTER (3), R2 CHARACTER (3), R3 DECIMAL (4), UNIQUE (S1, S2, S3, S4, S5, S6)) CREATE TABLE SIZ1_F (F1 CHARACTER (3) NOT NULL, F2 CHARACTER (3), F3 DECIMAL (4), F4 CHARACTER (3), F5 DECIMAL (4), F6 CHARACTER (3), R1 CHARACTER (3), R2 DECIMAL (5), R3 DECIMAL (4), FOREIGN KEY (F1, F2, F3, F4, F5, F6) REFERENCES SIZ1_P (S1, S2, S3, S4, S5, S6)) CREATE TABLE SIZ2_P (P1 CHARACTER (3) NOT NULL, P2 CHARACTER (3) NOT NULL, P3 DECIMAL (4) NOT NULL, P4 CHARACTER (3) NOT NULL, P5 DECIMAL (4) NOT NULL, P6 CHARACTER (3) NOT NULL, P7 CHARACTER (3) NOT NULL, P8 DECIMAL (4) NOT NULL, P9 DECIMAL (4) NOT NULL, P10 DECIMAL (4) NOT NULL, P11 CHARACTER (4), UNIQUE (P1), UNIQUE (P2), UNIQUE (P3), UNIQUE (P4), UNIQUE (P5), UNIQUE (P6), UNIQUE (P7), UNIQUE (P8), UNIQUE (P9), UNIQUE (P10)) CREATE TABLE SIZ2_F1 (F1 CHARACTER (3) NOT NULL, F2 CHARACTER (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P1)) CREATE TABLE SIZ2_F2 (F1 CHARACTER (3) NOT NULL, F2 CHARACTER (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P2)) CREATE TABLE SIZ2_F3 (F1 DECIMAL (4) NOT NULL, F2 CHARACTER (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P3)) CREATE TABLE SIZ2_F4 (F1 CHARACTER (3) NOT NULL, F2 CHARACTER (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P4)) CREATE TABLE SIZ2_F5 (F1 DECIMAL (4) NOT NULL, F2 CHARACTER (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P5)) CREATE TABLE SIZ2_F6 (F1 CHARACTER (3) NOT NULL, F2 CHARACTER (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P6)) CREATE TABLE SIZ2_F7 (F1 CHARACTER (3) NOT NULL, F2 CHARACTER (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P7)) CREATE TABLE SIZ2_F8 (F1 DECIMAL (4) NOT NULL, F2 CHARACTER (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P8)) CREATE TABLE SIZ2_F9 (F1 DECIMAL (4) NOT NULL, F2 CHARACTER (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P9)) CREATE TABLE SIZ2_F10 (F1 DECIMAL (4) NOT NULL, F2 CHARACTER (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P10)) CREATE TABLE SIZ3_P1 (F1 CHARACTER (3) NOT NULL, F2 CHARACTER (8), UNIQUE (F1)) CREATE TABLE SIZ3_P2 (F1 CHARACTER (3) NOT NULL, F2 CHARACTER (8), UNIQUE (F1)) CREATE TABLE SIZ3_P3 (F1 DECIMAL (4) NOT NULL, F2 CHARACTER (8), UNIQUE (F1)) CREATE TABLE SIZ3_P4 (F1 CHARACTER (3) NOT NULL, F2 CHARACTER (8), UNIQUE (F1)) CREATE TABLE SIZ3_P5 (F1 DECIMAL (4) NOT NULL, F2 CHARACTER (8), UNIQUE (F1)) CREATE TABLE SIZ3_P6 (F1 CHARACTER (3) NOT NULL, F2 CHARACTER (8), UNIQUE (F1)) CREATE TABLE SIZ3_P7 (F1 CHARACTER (3) NOT NULL, F2 CHARACTER (8), UNIQUE (F1)) CREATE TABLE SIZ3_P8 (F1 DECIMAL (4) NOT NULL, F2 CHARACTER (8), UNIQUE (F1)) CREATE TABLE SIZ3_P9 (F1 DECIMAL (4) NOT NULL, F2 CHARACTER (8), UNIQUE (F1)) CREATE TABLE SIZ3_P10 (F1 DECIMAL (4) NOT NULL, F2 CHARACTER (8), UNIQUE (F1)) CREATE TABLE SIZ3_F (P1 CHARACTER (3) NOT NULL, P2 CHARACTER (3), P3 DECIMAL (4), P4 CHARACTER (3), P5 DECIMAL (4), P6 CHARACTER (3), P7 CHARACTER (3), P8 DECIMAL (4), P9 DECIMAL (4), P10 DECIMAL (4), P11 CHARACTER (4), FOREIGN KEY (P1) REFERENCES SIZ3_P1 (F1), FOREIGN KEY (P2) REFERENCES SIZ3_P2 (F1), FOREIGN KEY (P3) REFERENCES SIZ3_P3 (F1), FOREIGN KEY (P4) REFERENCES SIZ3_P4 (F1), FOREIGN KEY (P5) REFERENCES SIZ3_P5 (F1), FOREIGN KEY (P6) REFERENCES SIZ3_P6 (F1), FOREIGN KEY (P7) REFERENCES SIZ3_P7 (F1), FOREIGN KEY (P8) REFERENCES SIZ3_P8 (F1), FOREIGN KEY (P9) REFERENCES SIZ3_P9 (F1), FOREIGN KEY (P10) REFERENCES SIZ3_P10 (F1)) CREATE TABLE DEPT (DNO DECIMAL (4) NOT NULL, DNAME CHARACTER (20) NOT NULL, DEAN CHARACTER (30), PRIMARY KEY (DNO), UNIQUE (DNAME)) CREATE TABLE EMP (ENO DECIMAL (4) NOT NULL, ENAME CHARACTER (20) NOT NULL, EDESC CHARACTER (30), DNO DECIMAL (4) NOT NULL, DNAME CHARACTER (20), BTH_DATE DECIMAL (6) NOT NULL, PRIMARY KEY (ENO), UNIQUE (ENAME, BTH_DATE), FOREIGN KEY (DNO) REFERENCES DEPT (DNO), FOREIGN KEY (DNAME) REFERENCES DEPT (DNAME)) CREATE TABLE EXPERIENCE (EXP_NAME CHARACTER (20), BTH_DATE DECIMAL (6), WK_DATE DECIMAL (6), DESCR CHARACTER (40), FOREIGN KEY (EXP_NAME, BTH_DATE) REFERENCES EMP (ENAME, BTH_DATE)) CREATE TABLE STAFF_M (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15), PRI_WK CHARACTER (3), UNIQUE (EMPNUM), FOREIGN KEY (PRI_WK) REFERENCES PROJ_M (PNUM)) CREATE TABLE PROJ_M (PNUM CHARACTER (3) NOT NULL, PNAME CHARACTER (20), PTYPE CHARACTER (6), BUDGET DECIMAL (9), CITY CHARACTER (15), MGR CHARACTER (3), UNIQUE (PNUM), FOREIGN KEY (MGR) REFERENCES STAFF_M (EMPNUM)) CREATE TABLE STAFF_C (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15), MGR CHARACTER (3), UNIQUE (EMPNUM), FOREIGN KEY (MGR) REFERENCES STAFF_C (EMPNUM)) CREATE TABLE STAFF_P (EMPNUM CHARACTER (3) NOT NULL, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15), UNIQUE (EMPNUM)) CREATE TABLE PROJ_P (PNUM CHARACTER (3) NOT NULL, PNAME CHARACTER (20), PTYPE CHARACTER (6), BUDGET DECIMAL (9), CITY CHARACTER (15), UNIQUE (PNUM)) CREATE TABLE MID1 (P_KEY DECIMAL (4) NOT NULL UNIQUE, F_KEY DECIMAL (4) REFERENCES MID1 (P_KEY)) CREATE TABLE ACR_SCH_P (P1 DECIMAL (4) NOT NULL UNIQUE, P2 CHARACTER (4)) CREATE TABLE CHAR_DEFAULT (SEX_CODE CHARACTER (1) DEFAULT 'F', NICKNAME CHARACTER (20) DEFAULT 'No nickname given', INSURANCE1 CHARACTER (5) DEFAULT 'basic') CREATE TABLE EXACT_DEF (BODY_TEMP NUMERIC (4, 1) DEFAULT 98.6, MAX_NUM NUMERIC (5) DEFAULT -55555, MIN_NUM DECIMAL (6, 6) DEFAULT .000001) CREATE TABLE APPROX_DEF (X_COUNT REAL DEFAULT 1.78E12, Y_COUNT REAL DEFAULT -9.99E10, Z_COUNT REAL DEFAULT 3.45E-11, ZZ_COUNT REAL DEFAULT -7.6777E-7) CREATE TABLE SIZE_TAB (COL1 CHARACTER (75) DEFAULT 'ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789abcdefghijklmnopqrstuvwxyz0123456789012', COL2 INTEGER DEFAULT -999888777, COL3 DECIMAL (15, 6) DEFAULT 987654321.123456, COL4 REAL DEFAULT -1.048576E22) CREATE TABLE COMMODITY (C_NUM INTEGER NOT NULL, C_NAME CHARACTER (7) NOT NULL UNIQUE, PRIMARY KEY (C_NUM)) CREATE TABLE CURRENCY_TABLE (CURRENCY CHARACTER (10) NOT NULL, DOLLAR_EQUIV NUMERIC (5, 2), PRIMARY KEY (CURRENCY)) CREATE TABLE MEASURE_TABLE (MEASURE CHARACTER (8) NOT NULL, POUND_EQUIV NUMERIC (8, 2), PRIMARY KEY (MEASURE)) CREATE TABLE C_TRANSACTION (COMMOD_NO INTEGER, TOT_PRICE DECIMAL (12, 2), CURRENCY CHARACTER (10), UNITS INTEGER, MEASURE CHARACTER (8), T_DATE INTEGER, FOREIGN KEY (COMMOD_NO) REFERENCES COMMODITY, FOREIGN KEY (CURRENCY) REFERENCES CURRENCY_TABLE, FOREIGN KEY (MEASURE) REFERENCES MEASURE_TABLE) CREATE TABLE T6118REF (COL1 CHARACTER (20), COL2 CHARACTER (20), COL3 CHARACTER (20), COL4 CHARACTER (20), COL5 CHARACTER (23), COL6 NUMERIC (4), STR118 CHARACTER (118) NOT NULL UNIQUE, UNIQUE (COL1, COL2, COL4, COL3, COL5, COL6)) CREATE TABLE T118 (STR118 CHARACTER (118) NOT NULL UNIQUE, FOREIGN KEY (STR118) REFERENCES T6118REF (STR118)) CREATE TABLE T6 (COL1 CHARACTER (20), COL2 CHARACTER (20), COL3 CHARACTER (20), COL4 CHARACTER (20), COL5 CHARACTER (23), COL6 NUMERIC (4), FOREIGN KEY (COL1, COL2, COL4, COL3, COL5, COL6) REFERENCES T6118REF (COL1, COL2, COL4, COL3, COL5, COL6)) CREATE VIEW TESTREPORT AS SELECT TESTNO, RESULT, TESTTYPE FROM HU.TESTREPORT CREATE VIEW DOLLARS_PER_POUND (COMMODITY, UNIT_PRICE, FROM_DATE, TO_DATE) AS SELECT COMMODITY.C_NAME, (SUM ((TOT_PRICE * DOLLAR_EQUIV)) / SUM ((UNITS * POUND_EQUIV))), MIN (T_DATE), MAX (T_DATE) FROM C_TRANSACTION, COMMODITY, CURRENCY_TABLE, MEASURE_TABLE WHERE ( ( ( C_TRANSACTION.COMMOD_NO = COMMODITY.C_NUM ) AND ( C_TRANSACTION.CURRENCY = CURRENCY_TABLE.CURRENCY ) ) AND ( C_TRANSACTION.MEASURE = MEASURE_TABLE.MEASURE ) ) GROUP BY COMMODITY.C_NAME HAVING ( SUM ((TOT_PRICE * DOLLAR_EQUIV)) > 10000 ) CREATE VIEW COST_PER_UNIT (COMMODITY, UNIT_PRICE, CURRENCY, MEASURE) AS SELECT COMMODITY, ((UNIT_PRICE * POUND_EQUIV) / DOLLAR_EQUIV), CURRENCY, MEASURE FROM DOLLARS_PER_POUND, CURRENCY_TABLE, MEASURE_TABLE CREATE VIEW STAFF6_WITH_GRADES AS SELECT EMPNUM, EMPNAME, GRADE, CITY FROM STAFF6 WHERE ( ( GRADE > 0 ) AND ( GRADE < 20 ) ) WITH CHECK OPTION GRANT SELECT ON SUN.ECCO TO PUBLIC GRANT INSERT ON TESTREPORT TO PUBLIC GRANT REFERENCES ON ACR_SCH_P TO SULLIVAN WITH GRANT OPTION GRANT ALL PRIVILEGES ON PROJ_P TO SULLIVAN GRANT ALL PRIVILEGES ON T6118REF TO FLATER GRANT ALL PRIVILEGES ON T118 TO FLATER GRANT ALL PRIVILEGES ON T6 TO FLATER GRANT REFERENCES ON STAFF_P TO SULLIVAN GRANT REFERENCES (C_NUM) ON COMMODITY TO SCHANZLE");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA AUTHORIZATION SULLIVAN CREATE TABLE WORKS_P (EMPNUM CHARACTER (3) REFERENCES SUN.STAFF_P (EMPNUM), PNUM CHARACTER (3), HOURS DECIMAL (5), FOREIGN KEY (PNUM) REFERENCES SUN.PROJ_P (PNUM)) CREATE TABLE TTT (P1 DECIMAL (4) NOT NULL UNIQUE, P2 CHARACTER (4)) GRANT SELECT ON TTT TO SCHANZLE GRANT REFERENCES ON SUN.ACR_SCH_P TO SCHANZLE GRANT REFERENCES ON SUN.STAFF_P TO SCHANZLE");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA AUTHORIZATION SCHANZLE CREATE TABLE ACR_SCH_F (F1 DECIMAL (4), F2 CHARACTER (4), FOREIGN KEY (F1) REFERENCES SUN.ACR_SCH_P (P1)) CREATE TABLE TAB5 (F15 CHARACTER (3), F5 CHARACTER (4), FOREIGN KEY (F15) REFERENCES SUN.STAFF_P (EMPNUM)) CREATE TABLE TAB6 (F16 DECIMAL (4), F6 CHARACTER (4), FOREIGN KEY (F16) REFERENCES SULLIVAN.TTT (P1)) CREATE TABLE RET_CATALOG (VENDOR_ID INTEGER, PRODUCT_ID INTEGER, WHOLESALE NUMERIC (10, 2), RETAIL NUMERIC (10, 2), MARKUP NUMERIC (10, 2), EXPORT_CODE CHARACTER (2), EXPORT_LICNSE_DATE CHARACTER (20), CHECK ( ( ( EXPORT_LICNSE_DATE IS NULL ) OR ( ( ( EXPORT_CODE = 'F1' ) OR ( EXPORT_CODE = 'F2' ) ) OR ( EXPORT_CODE = 'F3' ) ) ) ), CHECK ( ( ( EXPORT_CODE <> 'F2' ) OR ( WHOLESALE > 10000.00 ) ) ), CHECK ( ( RETAIL >= WHOLESALE ) ), CHECK ( ( RETAIL = (WHOLESALE + MARKUP) ) )) CREATE VIEW SALE_ITEMS AS SELECT * FROM RET_CATALOG WHERE ( MARKUP < (WHOLESALE / 10.0) ) WITH CHECK OPTION CREATE TABLE RASTER (C1 INTEGER NOT NULL, FOREIGN KEY (C1) REFERENCES SUN.COMMODITY (C_NUM)) CREATE TABLE REFRESH (C1 CHARACTER (7), FOREIGN KEY (C1) REFERENCES SUN.COMMODITY (C_NAME)) CREATE TABLE CPBASE (KC INTEGER NOT NULL, JUNK1 CHARACTER (10), PRIMARY KEY (KC)) CREATE TABLE CPREF (KCR INTEGER, JUNK2 CHARACTER (10), FOREIGN KEY (KCR) REFERENCES CPBASE) CREATE TABLE FOUR_TYPES (T_INT INTEGER, T_CHAR CHARACTER (10), T_DECIMAL DECIMAL (10, 2), T_REAL REAL)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA AUTHORIZATION XOPEN1");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE XOPEN1.ECCO (C1 CHARACTER (6))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE AAA (A1 CHARACTER (2), A2 CHARACTER (2), A3 CHARACTER (2))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE BBB (B1 CHARACTER (2), B2 CHARACTER (2), B3 CHARACTER (2) NOT NULL UNIQUE)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE CCC (C1 CHARACTER (2), C2 CHARACTER (2), C3 CHARACTER (2))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE CHAR_TEST (COL1 CHARACTER (254))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE INT_TEST (COL1 INTEGER)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE SMALL_TEST (COL1 SMALLINT)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE REAL_TEST (REF CHARACTER (1), COL1 REAL)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE REAL3_TEST (COL1 REAL, COL2 REAL, COL3 REAL)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE DOUB_TEST (REF CHARACTER (1), COL1 DOUBLE PRECISION)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE DOUB3_TEST (COL1 DOUBLE PRECISION, COL2 DOUBLE PRECISION, COL3 DOUBLE PRECISION)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE FLOAT_TEST (REF CHARACTER (1), COL1 FLOAT)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE INDEXLIMIT (COL1 CHARACTER (2), COL2 CHARACTER (2), COL3 CHARACTER (2), COL4 CHARACTER (2), COL5 CHARACTER (2), COL6 CHARACTER (2), COL7 CHARACTER (2))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE WIDETABLE (WIDE CHARACTER (118))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE WIDETAB (WIDE1 CHARACTER (38), WIDE2 CHARACTER (38), WIDE3 CHARACTER (38))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE TEST_TRUNC (TEST_STRING CHARACTER (6))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE WARNING (TESTCHAR CHARACTER (6), TESTINT INTEGER)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE TV (DEC3 DECIMAL (3), DEC1514 DECIMAL (15, 14), DEC150 DECIMAL (15, 0), DEC1515 DECIMAL (15, 15))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE TU (SMINT SMALLINT, DEC1514 DECIMAL (15, 14), INTEGR INTEGER, DEC1515 DECIMAL (15, 15))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE STAFF (EMPNUM CHARACTER (3) NOT NULL UNIQUE, EMPNAME CHARACTER (20), GRADE DECIMAL (4), CITY CHARACTER (15))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE PROJ (PNUM CHARACTER (3) NOT NULL UNIQUE, PNAME CHARACTER (20), PTYPE CHARACTER (6), BUDGET DECIMAL (9), CITY CHARACTER (15))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE WORKS (EMPNUM CHARACTER (3) NOT NULL, PNUM CHARACTER (3) NOT NULL, HOURS DECIMAL (5), UNIQUE (EMPNUM, PNUM))");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE TABLE INTS (INT1 SMALLINT NOT NULL, INT2 SMALLINT NOT NULL)");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE VIEW TESTREPORT AS SELECT TESTNO, RESULT, TESTTYPE FROM HU.TESTREPORT");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("GRANT SELECT ON XOPEN1.ECCO TO PUBLIC");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("GRANT INSERT ON TESTREPORT TO PUBLIC");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON STAFF TO PUBLIC");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("GRANT SELECT ON WORKS TO PUBLIC");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("GRANT SELECT ON PROJ TO PUBLIC");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON XOPEN1.AAA TO XOPEN2");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("GRANT SELECT, UPDATE ON XOPEN1.AAA TO XOPEN2 WITH GRANT OPTION");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("GRANT INSERT, DELETE ON XOPEN1.BBB TO XOPEN2 WITH GRANT OPTION");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("GRANT SELECT ON XOPEN1.BBB TO XOPEN2 WITH GRANT OPTION");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("GRANT SELECT, INSERT ON XOPEN1.CCC TO XOPEN2");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE SCHEMA AUTHORIZATION XOPEN2");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("CREATE VIEW XOPEN2V AS SELECT B1, B2, B3 FROM XOPEN1.BBB");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
if ( true )
{
  htOci7xManager.stSqlInstruction.format ("GRANT SELECT ON XOPEN2.XOPEN2V TO XOPEN1");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
}

  return 0;

}  /* main() */
