#include "postgresql-libpq-6.2.x.hh"


/*
*  UESQLC::postgresql-libpq-6.2.x internal variables initiation.
*/

TPostgresql62xManager   htPostgresql62xManager;


/*
*  Name:      test-general-2.uesql.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   NIST SQL Test Suite
*  Date:      $Date: 1998/10/29 23:10:30 $
*  Revision:  $Revision: 1.3 $
*
*  The tests contained in this file corresponds to APPENDIX B
*  from NIST SQL Test Suite 5.1. These  tests  mainly  checks
*  the validity of the compiler. The tests that must fail are
*  commented out. The next message comes from the NIST SQL
*  Test Suite Manual. 
*
*
*  NIST SQL Test Suite
*
*    Version 5.1
*    May 1995
*
*
*  Evaluating Conformance to SQL Standards:
*
*    FIPS 127-2
*    ANSI X3.135-1992
*    ISO/IEC 9075:1992
*    X/Open XPG4 SQL
*
*
*  National Institute of Standards and Technology
*  Computer Systems Laboratory
*  Information Systems Engineering Division
*
*
*  Copyright (C) 1996-1998  Rafael Jesus Alcantara Perez <ralcan@vnet.es>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/
                                        

int main (void)
{

{
/*
*  SQL instructions.
*/
CREATE SCHEMA AUTHORIZATION HU htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE BASE_TESTREPORT (TESTNO CHAR (4), RESULT CHAR (4), TESTTYPE CHAR (3));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE HU.ECCO (C1 CHAR (2));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF (EMPNUM CHAR (3) NOT NULL UNIQUE, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE PROJ (PNUM CHAR (3) NOT NULL UNIQUE, PNAME CHAR (20), PTYPE CHAR (6), BUDGET DECIMAL (9), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE WORKS (EMPNUM CHAR (3) NOT NULL, PNUM CHAR (3) NOT NULL, HOURS DECIMAL (5), UNIQUE (EMPNUM, PNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE FIPS1 (FIPS_TEST CHAR (20));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF1 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE PROJ1 (PNUM CHAR (3) NOT NULL UNIQUE, PNAME CHAR (20), PTYPE CHAR (6), BUDGET DECIMAL (9), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE WORKS1 (EMPNUM CHAR (3) NOT NULL, PNUM CHAR (3) NOT NULL, HOURS DECIMAL (5), UNIQUE (EMPNUM, PNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF3 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF4 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE LONGINT (LONG_INT DECIMAL (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TEMP_S (EMPNUM CHAR (3), GRADE DECIMAL (4), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TMP (T1 CHAR (10), T2 DECIMAL (2), T3 CHAR (10));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE AA (CHARTEST CHAR (20));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE BB (CHARTEST CHAR);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE CC (CHARTEST CHAR (20));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE DD (CHARTEST CHAR);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE EE (INTTEST INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE FF (INTTEST INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE GG (REALTEST FLOAT8);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE HH (SMALLTEST INT2);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE II (DOUBLETEST FLOAT8);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE JJ (FLOATTEST FLOAT);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE KK (FLOATTEST FLOAT (32));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE LL (NUMTEST NUMERIC (13, 6));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MM (NUMTEST NUMERIC);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MM2 (NUMTEST NUMERIC (10));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE NN (NUMTEST NUMERIC (9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE OO (NUMTEST NUMERIC (9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE PP (NUMTEST DECIMAL (13, 6));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE QQ (NUMTEST DECIMAL);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE RR (NUMTEST DECIMAL (8));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SS (NUMTEST DECIMAL (13, 6));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE P1 (NUMTEST NUMERIC (1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE P7 (NUMTEST NUMERIC (7));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE P12 (NUMTEST NUMERIC (12));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE P15 (NUMTEST NUMERIC (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE VTABLE (COL1 INT4, COL2 INT4, COL3 INT4, COL4 INT4, COL5 DECIMAL (7, 2));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE UPUNIQ (NUMKEY DECIMAL (3) NOT NULL UNIQUE, COL2 CHAR (2));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TEXT80 (TEXXT CHAR (80));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TEXT132 (TEXXT CHAR (132));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TEXT240 (TEXXT CHAR (240));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TEXT256 (TEXXT CHAR (256));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TEXT512 (TEXXT CHAR (512));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TEXT1024 (TEXXT CHAR (1024));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE T240 (STR240 CHAR (240));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE DEC15 (COL1 DECIMAL (15, 7));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE FLO15 (COL1 FLOAT (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE INT10 (COL1 INT4, COL2 INT2);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE T100 (C1 CHAR (2), C2 CHAR (2), C3 CHAR (2), C4 CHAR (2), C5 CHAR (2), C6 CHAR (2), C7 CHAR (2), C8 CHAR (2), C9 CHAR (2), C10 CHAR (2), C11 CHAR (2), C12 CHAR (2), C13 CHAR (2), C14 CHAR (2), C15 CHAR (2), C16 CHAR (2), C17 CHAR (2), C18 CHAR (2), C19 CHAR (2), C20 CHAR (2), C21 CHAR (2), C22 CHAR (2), C23 CHAR (2), C24 CHAR (2), C25 CHAR (2), C26 CHAR (2), C27 CHAR (2), C28 CHAR (2), C29 CHAR (2), C30 CHAR (2), C31 CHAR (2), C32 CHAR (2), C33 CHAR (2), C34 CHAR (2), C35 CHAR (2), C36 CHAR (2), C37 CHAR (2), C38 CHAR (2), C39 CHAR (2), C40 CHAR (2), C41 CHAR (2), C42 CHAR (2), C43 CHAR (2), C44 CHAR (2), C45 CHAR (2), C46 CHAR (2), C47 CHAR (2), C48 CHAR (2), C49 CHAR (2), C50 CHAR (2), C51 CHAR (2), C52 CHAR (2), C53 CHAR (2), C54 CHAR (2), C55 CHAR (2), C56 CHAR (2), C57 CHAR (2), C58 CHAR (2), C59 CHAR (2), C60 CHAR (2), C61 CHAR (2), C62 CHAR (2), C63 CHAR (2), C64 CHAR (2), C65 CHAR (2), C66 CHAR (2), C67 CHAR (2), C68 CHAR (2), C69 CHAR (2), C70 CHAR (2), C71 CHAR (2), C72 CHAR (2), C73 CHAR (2), C74 CHAR (2), C75 CHAR (2), C76 CHAR (2), C77 CHAR (2), C78 CHAR (2), C79 CHAR (2), C80 CHAR (2), C81 CHAR (2), C82 CHAR (2), C83 CHAR (2), C84 CHAR (2), C85 CHAR (2), C86 CHAR (2), C87 CHAR (2), C88 CHAR (2), C89 CHAR (2), C90 CHAR (2), C91 CHAR (2), C92 CHAR (2), C93 CHAR (2), C94 CHAR (2), C95 CHAR (2), C96 CHAR (2), C97 CHAR (2), C98 CHAR (2), C99 CHAR (2), C100 CHAR (2));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE T2000 (STR110 CHAR (110), STR120 CHAR (120), STR130 CHAR (130), STR140 CHAR (140), STR150 CHAR (150), STR160 CHAR (160), STR170 CHAR (170), STR180 CHAR (180), STR190 CHAR (190), STR200 CHAR (200), STR210 CHAR (210), STR216 CHAR (216));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE T8 (COL1 CHAR (2) NOT NULL, COL2 CHAR (4) NOT NULL, COL3 CHAR (6) NOT NULL, COL4 CHAR (8) NOT NULL, COL5 CHAR (10) NOT NULL, COL6 CHAR (12) NOT NULL, COL7 CHAR (14), COL8 CHAR (16), UNIQUE (COL1, COL2, COL3, COL4, COL5, COL6));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE T118 (STR118 CHAR (118) NOT NULL UNIQUE);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE T4 (STR110 CHAR (110) NOT NULL, NUM6 NUMERIC (6) NOT NULL, COL3 CHAR (10), COL4 CHAR (20), UNIQUE (STR110, NUM6));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE T12 (COL1 CHAR (1), COL2 CHAR (2), COL3 CHAR (4), COL4 CHAR (6), COL5 CHAR (8), COL6 CHAR (10), COL7 CHAR (20), COL8 CHAR (30), COL9 CHAR (40), COL10 CHAR (50), COL11 INT4, COL12 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE NEXTKEY (KEYNUM INT4, AUTHOR CHAR (1), DOLLARS INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SV (NUMTEST NUMERIC (8, 3));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE JJ_20 (FLOATTEST FLOAT (20));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE PP_15 (NUMTEST DECIMAL (15, 15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE PP_7 (NUMTEST DECIMAL (15, 7));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE P15_15 (NUMTEST NUMERIC (15, 15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE P15_7 (NUMTEST NUMERIC (15, 7));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TEMP_OBSERV (YEAR_OBSERV NUMERIC (4), CITY CHAR (10), MAX_TEMP NUMERIC (5, 2), MIN_TEMP NUMERIC (5, 2));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TOKENS (PROG_NO INT4, TOKEN_NO INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE WHICH_SCHEMA1 (C1 CHAR (50));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW TESTREPORT AS SELECT TESTNO, RESULT, TESTTYPE FROM BASE_TESTREPORT;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); CREATE VIEW CELSIUS_OBSERV (CITY, YEAR_OBSERV, MIN_C, MAX_C) AS SELECT CITY, YEAR_OBSERV, (((MIN_TEMP - 32) * 5) / 9), (((MAX_TEMP - 32) * 5) / 9) FROM TEMP_OBSERV CREATE VIEW MULTI_YEAR_OBSERV (CITY, HIGH, LOW) AS SELECT CITY, AVG (MAX_TEMP), AVG (MIN_TEMP) FROM TEMP_OBSERV GROUP BY CITY CREATE VIEW EXTREME_TEMPS (YEAR_OBSERV, HIGH, LOW) AS SELECT YEAR_OBSERV, MAX (MAX_TEMP), MIN (MIN_TEMP) FROM TEMP_OBSERV GROUP BY YEAR_OBSERV CREATE VIEW SET_TEST (EMP1, EMP_AVG, EMP_MAX) AS SELECT STAFF.EMPNUM, AVG (HOURS), MAX (HOURS) FROM STAFF, WORKS GROUP BY STAFF.EMPNUM CREATE VIEW DUP_COL (EMP1, PNO, HOURS, HOURS_2) AS SELECT EMPNUM, PNUM, HOURS, (HOURS * 2) FROM WORKS htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW STAFFV1 AS SELECT * FROM STAFF WHERE ( GRADE >= 12 );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); CREATE VIEW STAFFV2 AS SELECT * FROM STAFF WHERE ( GRADE >= 12 ) WITH CHECK OPTION htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW STAFFV2_VIEW AS SELECT * FROM STAFFV2 WHERE ( CITY = 'Vienna' );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); CREATE VIEW DOMAIN_VIEW AS SELECT * FROM WORKS WHERE ( ( ( ( EMPNUM = 'E1' ) AND ( HOURS = 80 ) ) OR ( ( EMPNUM = 'E2' ) AND ( HOURS = 40 ) ) ) OR ( ( EMPNUM = 'E4' ) AND ( HOURS = 20 ) ) ) WITH CHECK OPTION CREATE VIEW STAFF2 AS SELECT * FROM STAFF WITH CHECK OPTION CREATE VIEW STAFF_WORKS_DESIGN (NAME, COST, PROJECT) AS SELECT EMPNAME, ((HOURS * 2) * GRADE), PNAME FROM PROJ, STAFF, WORKS WHERE ( ( ( STAFF.EMPNUM = WORKS.EMPNUM ) AND ( WORKS.PNUM = PROJ.PNUM ) ) AND ( PTYPE = 'Design' ) ) CREATE VIEW SUBSP (EMPNUM, PNUM, HOURS) AS SELECT EMPNUM, PNUM, HOURS FROM WORKS WHERE ( EMPNUM = 'E3' ) WITH CHECK OPTION CREATE VIEW TEMP_SS (EMPNUM, GRADE, CITY) AS SELECT EMPNUM, GRADE, CITY FROM STAFF WHERE ( GRADE > 12 ) WITH CHECK OPTION CREATE VIEW V_WORKS1 AS SELECT * FROM WORKS WHERE ( HOURS > 15 ) WITH CHECK OPTION htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW V_WORKS2 AS SELECT * FROM V_WORKS1 WHERE ( ( EMPNUM = 'E1' ) OR ( EMPNUM = 'E6' ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); CREATE VIEW V_WORKS3 AS SELECT * FROM V_WORKS2 WHERE ( ( PNUM = 'P2' ) OR ( PNUM = 'P7' ) ) WITH CHECK OPTION htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW UPDATE_VIEW1 AS SELECT ALL CITY FROM PROJ;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW UPDATE_VIEW2 AS SELECT HOURS, EMPNUM, PNUM FROM WORKS WHERE ( HOURS IN (10, 20, 40) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW UPDATE_VIEW3 AS SELECT * FROM WORKS WHERE ( ( PNUM BETWEEN 'P2' AND 'P4' ) AND ( EMPNUM NOT BETWEEN 'E2' AND 'E3' ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW UPDATE_VIEW4 AS SELECT PNUM, EMPNUM FROM WORKS WHERE ( PNUM LIKE '_2%' );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW UPDATE_VIEW5 AS SELECT * FROM STAFF WHERE ( ( EMPNAME IS NOT NULL ) AND ( CITY IS NULL ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW UPDATE_VIEW6 AS SELECT EMPNAME, CITY, GRADE FROM STAFF WHERE ( ( ( ( EMPNAME >= 'Betty' ) AND ( EMPNUM < 'E35' ) ) OR ( ( CITY <= 'Deale' ) AND ( GRADE > 12 ) ) ) OR ( ( GRADE = 13 ) AND ( CITY <> 'Akron' ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW UPDATE_VIEW7 AS SELECT EMPNAME, CITY, GRADE FROM STAFFV2 WHERE ( ( ( ( EMPNAME >= 'Betty' ) AND ( EMPNUM < 'E35' ) ) OR ( ( CITY <= 'Deale' ) AND ( GRADE > 12 ) ) ) OR ( ( GRADE = 13 ) AND ( CITY <> 'Akron' ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW UPDATE_VIEW8 AS SELECT MYTABLE.EMPNUM, MYTABLE.EMPNAME FROM STAFF AS MYTABLE WHERE ( MYTABLE.GRADE = 12 );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW UPDATE_VIEW9 AS SELECT EMPNAME, CITY, GRADE FROM STAFF WHERE ( ( ( ( NOT ( EMPNAME >= 'Betty' ) ) AND ( EMPNUM <= 'E35' ) ) OR ( ( ( NOT ( CITY <= 'Deale' ) ) AND ( GRADE > 9 ) ) AND ( NOT ( ( GRADE = 13 ) AND ( CITY <> 'Akron' ) ) ) ) ) OR ( NOT ( CITY IN ('Vienna', 'New York', 'Deale') ) ) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VSTAFF3 AS SELECT * FROM STAFF3;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON HU.ECCO TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); GRANT INSERT ON TESTREPORT TO PUBLIC WITH GRANT OPTION GRANT ALL PRIVILEGES ON TESTREPORT TO SUN, XOPEN1 WITH GRANT OPTION GRANT SELECT ON STAFF TO SULLIVAN1 WITH GRANT OPTION htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON STAFF TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON WORKS TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON PROJ TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); GRANT SELECT, UPDATE ON WORKS TO CUGINI WITH GRANT OPTION htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT, UPDATE ON STAFF2 TO SULLIVAN;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); GRANT SELECT, UPDATE (EMPNUM, EMPNAME) ON STAFF3 TO SULLIVAN, CUGINI, FLATER, SULLIVAN1 WITH GRANT OPTION htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT, INSERT, DELETE ON STAFF4 TO SULLIVAN, CUGINI, FLATER, SULLIVAN1;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT INSERT ON UPUNIQ TO SULLIVAN;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); GRANT SELECT, UPDATE (EMPNUM, EMPNAME) ON VSTAFF3 TO FLATER WITH GRANT OPTION htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON HH TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON FF TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON P1 TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON P15 TO FLATER;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON T100 TO FLATER;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON TOKENS TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT UPDATE (COL1) ON VTABLE TO FLATER;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
CREATE SCHEMA AUTHORIZATION CUGINI htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT, UPDATE ON HU.WORKS TO SULLIVAN;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE VTABLE (COL1 INT4, COL2 INT4, COL3 INT4, COL4 INT4, COL5 DECIMAL (7, 2));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON VTABLE TO HU;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT, INSERT, DELETE ON HU.STAFF4 TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE AA (CHARTEST CHAR (20));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VAA AS SELECT * FROM AA;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE BB (CHARTEST CHAR);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VBB AS SELECT * FROM BB;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE CC (CHARTEST CHAR (20));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VCC AS SELECT * FROM CC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE DD (CHARTEST CHAR);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VDD AS SELECT * FROM DD;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE EE (INTTEST INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE FF (INTTEST INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE GG (C1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE HH (SMALLTEST INT2);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE II (C1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VII AS SELECT * FROM II;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE JJ (C1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SRCH1 (C1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE BADG1 (C1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE BADG2 (C1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VBADG2 AS SELECT * FROM BADG2;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VVTABLE AS SELECT * FROM VTABLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON AA TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON VAA TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT INSERT ON BB TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT INSERT ON VBB TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT UPDATE ON CC TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT UPDATE ON VCC TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT DELETE ON DD TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT DELETE ON VDD TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON EE TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT INSERT ON FF TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT UPDATE ON GG TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT DELETE ON HH TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON II TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON VII TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON JJ TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT INSERT, UPDATE, DELETE ON SRCH1 TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON BADG1 TO FLATER;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); GRANT SELECT ON VBADG2 TO FLATER WITH GRANT OPTION htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON VVTABLE TO HU;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
CREATE SCHEMA AUTHORIZATION MCGINN htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE BASETABLE1 (COL1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
CREATE SCHEMA AUTHORIZATION SULLIVAN1 htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE AUTH_TABLE (FIRST1 INT4, SECOND2 CHAR);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW MUL_SCH AS SELECT EMPNUM, SECOND2 FROM HU.STAFF, AUTH_TABLE WHERE ( GRADE = FIRST1 );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON AUTH_TABLE TO HU;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON MUL_SCH TO HU;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP1_MM2 (NUMTEST NUMERIC (10));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP1_NN (NUMTEST NUMERIC (9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP1_NEXTKEY (KEYNUM INT4, AUTHOR CHAR (1), DOLLARS INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP2_MM2 (NUMTEST NUMERIC (10));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP2_NN (NUMTEST NUMERIC (9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP2_NEXTKEY (KEYNUM INT4, AUTHOR CHAR (1), DOLLARS INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP3_MM2 (NUMTEST NUMERIC (10));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP3_NN (NUMTEST NUMERIC (9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP3_NEXTKEY (KEYNUM INT4, AUTHOR CHAR (1), DOLLARS INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP4_MM2 (NUMTEST NUMERIC (10));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP4_NN (NUMTEST NUMERIC (9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP4_NEXTKEY (KEYNUM INT4, AUTHOR CHAR (1), DOLLARS INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP5_AA (ANUM NUMERIC (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP5_AA_INDEX (ANUM NUMERIC (4) NOT NULL UNIQUE);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP5_TT (TESTTYPE CHAR (3), KOUNT DECIMAL (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TTT (ANUM NUMERIC (4) NOT NULL UNIQUE, AUTHOR CHAR (1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TT (DOLLARS NUMERIC (4), ANUM NUMERIC (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE AA (ANUM NUMERIC (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE BB (BNUM NUMERIC (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); GRANT SELECT, UPDATE ON HU.STAFF3 TO SULLIVAN1 WITH GRANT OPTION htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP6_MM2 (NUMTEST NUMERIC (10));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP6_NN (NUMTEST NUMERIC (9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP6_NEXTKEY (KEYNUM INT4, AUTHOR CHAR (1), DOLLARS INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP6_AA (ANUM NUMERIC (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP6_BB (BNUM NUMERIC (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP7_NN (NUMTEST NUMERIC (9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP7_NEXTKEY (KEYNUM INT4, AUTHOR CHAR (1), DOLLARS INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP7_AA (ANUM NUMERIC (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP7_BB (BNUM NUMERIC (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP8_NN (NUMTEST NUMERIC (9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP8_NEXTKEY (KEYNUM INT4, AUTHOR CHAR (1), DOLLARS INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP8_AA (ANUM NUMERIC (4) NOT NULL, AUTHOR CHAR (1), UNIQUE (ANUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP8_BB (NUMTEST NUMERIC (9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP9_NN (NUMTEST NUMERIC (9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP9_NEXTKEY (KEYNUM INT4, AUTHOR CHAR (1), DOLLARS INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP9_AA (ANUM NUMERIC (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MP9_BB (BNUM NUMERIC (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE USG102 (C1 INT4, C_1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE USG103 (C1 INT4, C_1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
CREATE SCHEMA AUTHORIZATION FLATER htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE CONCATBUF (ZZ CHAR (240));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE USIG (C1 INT4, C_1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE U_SIG (C1 INT4, C_1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW DV1 AS SELECT DISTINCT HOURS FROM HU.WORKS;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TINY (C1 CHAR (33000));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE BASE_WCOV (C1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); CREATE VIEW WCOV AS SELECT * FROM BASE_WCOV WHERE ( C1 > 0 ) WITH CHECK OPTION htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE BASE_VS1 (C1 INT4, C2 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VS1 AS SELECT * FROM BASE_VS1 WHERE ( C1 = 0 );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VS2 AS SELECT A.C1 FROM BASE_VS1 AS A WHERE ( EXISTS (SELECT B.C2 FROM BASE_VS1 AS B WHERE ( B.C2 = A.C1 )) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VS3 AS SELECT A.C2 FROM BASE_VS1 AS A WHERE ( A.C2 IN (SELECT B.C1 FROM BASE_VS1 AS B WHERE ( B.C1 < A.C2 )) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VS4 AS SELECT A.C1 FROM BASE_VS1 AS A WHERE ( A.C1 < ALL (SELECT B.C2 FROM BASE_VS1 AS B) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VS5 AS SELECT A.C1 FROM BASE_VS1 AS A WHERE ( A.C1 < SOME (SELECT B.C2 FROM BASE_VS1 AS B) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW VS6 AS SELECT A.C1 FROM BASE_VS1 AS A WHERE ( A.C1 < ANY (SELECT B.C2 FROM BASE_VS1 AS B) );");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON TINY TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON BASE_WCOV TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON WCOV TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON VS1 TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT, UPDATE ON HU.STAFF3 TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT, UPDATE ON HU.VSTAFF3 TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON CUGINI.BADG1 TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON CUGINI.BADG2 TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); CREATE VIEW 'SULLIVAN.SELECT' ('sullivan.select') AS SELECT C1 FROM BASE_VS1 htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON 'SULLIVAN.SELECT' TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
CREATE SCHEMA SHIRLEY_HURWITZ AUTHORIZATION FLATER htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW NOT_AVAILABLE AS SELECT TIMESLOT FROM MEETINGS;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MEETINGS (TIMESLOT INT4, AGENDA CHAR (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
CREATE SCHEMA LEN_GALLAGHER htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TRAVEL (TRAVEL_ORDER CHAR (40) NOT NULL UNIQUE, DESTINATION CHAR (40), REASON_CODE NUMERIC (9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON TRAVEL TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
CREATE SCHEMA AUTHORIZATION CANWEPARSELENGTH18 htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE CHARACTER18TABLE18 (CHARS18NAME18CHARS CHAR (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); CREATE VIEW CHARACTERS18VIEW18 (LONGNAME18LONGNAME) AS SELECT CHARS18NAME18CHARS FROM CHARACTER18TABLE18 WHERE ( CHARS18NAME18CHARS <> 'long' )
CREATE SCHEMA AUTHORIZATION SUN htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SUN.ECCO (C1 CHAR (2));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE PROJ (PNUM CHAR (3) NOT NULL, PNAME CHAR (20), PTYPE CHAR (6), BUDGET DECIMAL (9), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE WORKS (EMPNUM CHAR (3) NOT NULL, PNUM CHAR (3) NOT NULL, HOURS DECIMAL (5));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF3 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15), UNIQUE (EMPNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE PROJ3 (PNUM CHAR (3) NOT NULL, PNAME CHAR (20), PTYPE CHAR (6), BUDGET DECIMAL (9), CITY CHAR (15), UNIQUE (PNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE WORKS3 (EMPNUM CHAR (3) NOT NULL, PNUM CHAR (3) NOT NULL, HOURS DECIMAL (5), FOREIGN KEY (EMPNUM) REFERENCES STAFF3 (EMPNUM), FOREIGN KEY (PNUM) REFERENCES PROJ3 (PNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF4 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20) DEFAULT NULL, GRADE DECIMAL (4) DEFAULT 0, CITY CHAR (15) DEFAULT '               ');");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF14 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20) DEFAULT USER, GRADE DECIMAL (4), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF5 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15), PRIMARY KEY (EMPNUM), CHECK ( ( ( GRADE > 0 ) AND ( GRADE < 20 ) ) ));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF6 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4) CHECK ( ( ( GRADE > 0 ) AND ( GRADE < 20 ) ) ), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF7 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15), PRIMARY KEY (EMPNUM), CHECK ( ( GRADE BETWEEN 1 AND 20 ) ));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF8 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15), PRIMARY KEY (EMPNUM), CHECK ( ( EMPNAME IS NOT NULL ) ));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF9 (EMPNUM CHAR (3) NOT NULL PRIMARY KEY, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15), CHECK ( ( EMPNAME NOT LIKE 'T%' ) ));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF10 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15), PRIMARY KEY (EMPNUM), CHECK ( ( GRADE NOT IN (5, 22) ) ));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF11 (EMPNUM CHAR (3) NOT NULL PRIMARY KEY, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15), CHECK ( ( ( GRADE NOT IN (5, 22) ) AND ( EMPNAME NOT LIKE 'T%' ) ) ));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF12 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15), PRIMARY KEY (EMPNUM), CHECK ( ( ( NOT ( GRADE IN (5, 22) ) ) AND ( NOT ( EMPNAME LIKE 'T%' ) ) ) ));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF13 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15), PRIMARY KEY (EMPNUM), CHECK ( ( NOT ( EMPNAME IS NULL ) ) ));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF15 (EMPNUM CHAR (3), EMPNAME CHAR (20) NOT NULL, GRADE DECIMAL (4), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF16 (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20) DEFAULT NULL, GRADE DECIMAL (4) NOT NULL CHECK ( ( GRADE IN (100, 150, 200) ) ), CITY CHAR (15), PRIMARY KEY (GRADE, EMPNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ1_P (S1 CHAR (3) NOT NULL, S2 CHAR (3) NOT NULL, S3 DECIMAL (4) NOT NULL, S4 CHAR (3) NOT NULL, S5 DECIMAL (4) NOT NULL, S6 CHAR (3) NOT NULL, R1 CHAR (3), R2 CHAR (3), R3 DECIMAL (4), UNIQUE (S1, S2, S3, S4, S5, S6));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ1_F (F1 CHAR (3) NOT NULL, F2 CHAR (3), F3 DECIMAL (4), F4 CHAR (3), F5 DECIMAL (4), F6 CHAR (3), R1 CHAR (3), R2 DECIMAL (5), R3 DECIMAL (4), FOREIGN KEY (F1, F2, F3, F4, F5, F6) REFERENCES SIZ1_P (S1, S2, S3, S4, S5, S6));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ2_P (P1 CHAR (3) NOT NULL, P2 CHAR (3) NOT NULL, P3 DECIMAL (4) NOT NULL, P4 CHAR (3) NOT NULL, P5 DECIMAL (4) NOT NULL, P6 CHAR (3) NOT NULL, P7 CHAR (3) NOT NULL, P8 DECIMAL (4) NOT NULL, P9 DECIMAL (4) NOT NULL, P10 DECIMAL (4) NOT NULL, P11 CHAR (4), UNIQUE (P1), UNIQUE (P2), UNIQUE (P3), UNIQUE (P4), UNIQUE (P5), UNIQUE (P6), UNIQUE (P7), UNIQUE (P8), UNIQUE (P9), UNIQUE (P10));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ2_F1 (F1 CHAR (3) NOT NULL, F2 CHAR (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ2_F2 (F1 CHAR (3) NOT NULL, F2 CHAR (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P2));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ2_F3 (F1 DECIMAL (4) NOT NULL, F2 CHAR (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P3));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ2_F4 (F1 CHAR (3) NOT NULL, F2 CHAR (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ2_F5 (F1 DECIMAL (4) NOT NULL, F2 CHAR (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P5));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ2_F6 (F1 CHAR (3) NOT NULL, F2 CHAR (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P6));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ2_F7 (F1 CHAR (3) NOT NULL, F2 CHAR (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P7));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ2_F8 (F1 DECIMAL (4) NOT NULL, F2 CHAR (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P8));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ2_F9 (F1 DECIMAL (4) NOT NULL, F2 CHAR (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P9));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ2_F10 (F1 DECIMAL (4) NOT NULL, F2 CHAR (8), FOREIGN KEY (F1) REFERENCES SIZ2_P (P10));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ3_P1 (F1 CHAR (3) NOT NULL, F2 CHAR (8), UNIQUE (F1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ3_P2 (F1 CHAR (3) NOT NULL, F2 CHAR (8), UNIQUE (F1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ3_P3 (F1 DECIMAL (4) NOT NULL, F2 CHAR (8), UNIQUE (F1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ3_P4 (F1 CHAR (3) NOT NULL, F2 CHAR (8), UNIQUE (F1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ3_P5 (F1 DECIMAL (4) NOT NULL, F2 CHAR (8), UNIQUE (F1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ3_P6 (F1 CHAR (3) NOT NULL, F2 CHAR (8), UNIQUE (F1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ3_P7 (F1 CHAR (3) NOT NULL, F2 CHAR (8), UNIQUE (F1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ3_P8 (F1 DECIMAL (4) NOT NULL, F2 CHAR (8), UNIQUE (F1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ3_P9 (F1 DECIMAL (4) NOT NULL, F2 CHAR (8), UNIQUE (F1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ3_P10 (F1 DECIMAL (4) NOT NULL, F2 CHAR (8), UNIQUE (F1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZ3_F (P1 CHAR (3) NOT NULL, P2 CHAR (3), P3 DECIMAL (4), P4 CHAR (3), P5 DECIMAL (4), P6 CHAR (3), P7 CHAR (3), P8 DECIMAL (4), P9 DECIMAL (4), P10 DECIMAL (4), P11 CHAR (4), FOREIGN KEY (P1) REFERENCES SIZ3_P1 (F1), FOREIGN KEY (P2) REFERENCES SIZ3_P2 (F1), FOREIGN KEY (P3) REFERENCES SIZ3_P3 (F1), FOREIGN KEY (P4) REFERENCES SIZ3_P4 (F1), FOREIGN KEY (P5) REFERENCES SIZ3_P5 (F1), FOREIGN KEY (P6) REFERENCES SIZ3_P6 (F1), FOREIGN KEY (P7) REFERENCES SIZ3_P7 (F1), FOREIGN KEY (P8) REFERENCES SIZ3_P8 (F1), FOREIGN KEY (P9) REFERENCES SIZ3_P9 (F1), FOREIGN KEY (P10) REFERENCES SIZ3_P10 (F1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE DEPT (DNO DECIMAL (4) NOT NULL, DNAME CHAR (20) NOT NULL, DEAN CHAR (30), PRIMARY KEY (DNO), UNIQUE (DNAME));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE EMP (ENO DECIMAL (4) NOT NULL, ENAME CHAR (20) NOT NULL, EDESC CHAR (30), DNO DECIMAL (4) NOT NULL, DNAME CHAR (20), BTH_DATE DECIMAL (6) NOT NULL, PRIMARY KEY (ENO), UNIQUE (ENAME, BTH_DATE), FOREIGN KEY (DNO) REFERENCES DEPT (DNO), FOREIGN KEY (DNAME) REFERENCES DEPT (DNAME));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE EXPERIENCE (EXP_NAME CHAR (20), BTH_DATE DECIMAL (6), WK_DATE DECIMAL (6), DESCR CHAR (40), FOREIGN KEY (EXP_NAME, BTH_DATE) REFERENCES EMP (ENAME, BTH_DATE));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF_M (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15), PRI_WK CHAR (3), UNIQUE (EMPNUM), FOREIGN KEY (PRI_WK) REFERENCES PROJ_M (PNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE PROJ_M (PNUM CHAR (3) NOT NULL, PNAME CHAR (20), PTYPE CHAR (6), BUDGET DECIMAL (9), CITY CHAR (15), MGR CHAR (3), UNIQUE (PNUM), FOREIGN KEY (MGR) REFERENCES STAFF_M (EMPNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF_C (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15), MGR CHAR (3), UNIQUE (EMPNUM), FOREIGN KEY (MGR) REFERENCES STAFF_C (EMPNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF_P (EMPNUM CHAR (3) NOT NULL, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15), UNIQUE (EMPNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE PROJ_P (PNUM CHAR (3) NOT NULL, PNAME CHAR (20), PTYPE CHAR (6), BUDGET DECIMAL (9), CITY CHAR (15), UNIQUE (PNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MID1 (P_KEY DECIMAL (4) NOT NULL UNIQUE, F_KEY DECIMAL (4) REFERENCES MID1 (P_KEY));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE ACR_SCH_P (P1 DECIMAL (4) NOT NULL UNIQUE, P2 CHAR (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE CHAR_DEFAULT (SEX_CODE CHAR (1) DEFAULT 'F', NICKNAME CHAR (20) DEFAULT 'No nickname given', INSURANCE1 CHAR (5) DEFAULT 'basic');");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE EXACT_DEF (BODY_TEMP NUMERIC (4, 1) DEFAULT 98.6, MAX_NUM NUMERIC (5) DEFAULT -55555, MIN_NUM DECIMAL (6, 6) DEFAULT .000001);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE APPROX_DEF (X_COUNT FLOAT8 DEFAULT 1.78E12, Y_COUNT FLOAT8 DEFAULT -9.99E10, Z_COUNT FLOAT8 DEFAULT 3.45E-11, ZZ_COUNT FLOAT8 DEFAULT -7.6777E-7);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SIZE_TAB (COL1 CHAR (75) DEFAULT 'ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789abcdefghijklmnopqrstuvwxyz0123456789012', COL2 INT4 DEFAULT -999888777, COL3 DECIMAL (15, 6) DEFAULT 987654321.123456, COL4 FLOAT8 DEFAULT -1.048576E22);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE COMMODITY (C_NUM INT4 NOT NULL, C_NAME CHAR (7) NOT NULL UNIQUE, PRIMARY KEY (C_NUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE CURRENCY_TABLE (CURRENCY CHAR (10) NOT NULL, DOLLAR_EQUIV NUMERIC (5, 2), PRIMARY KEY (CURRENCY));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE MEASURE_TABLE (MEASURE CHAR (8) NOT NULL, POUND_EQUIV NUMERIC (8, 2), PRIMARY KEY (MEASURE));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE C_TRANSACTION (COMMOD_NO INT4, TOT_PRICE DECIMAL (12, 2), CURRENCY CHAR (10), UNITS INT4, MEASURE CHAR (8), T_DATE INT4, FOREIGN KEY (COMMOD_NO) REFERENCES COMMODITY, FOREIGN KEY (CURRENCY) REFERENCES CURRENCY_TABLE, FOREIGN KEY (MEASURE) REFERENCES MEASURE_TABLE);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE T6118REF (COL1 CHAR (20), COL2 CHAR (20), COL3 CHAR (20), COL4 CHAR (20), COL5 CHAR (23), COL6 NUMERIC (4), STR118 CHAR (118) NOT NULL UNIQUE, UNIQUE (COL1, COL2, COL4, COL3, COL5, COL6));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE T118 (STR118 CHAR (118) NOT NULL UNIQUE, FOREIGN KEY (STR118) REFERENCES T6118REF (STR118));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE T6 (COL1 CHAR (20), COL2 CHAR (20), COL3 CHAR (20), COL4 CHAR (20), COL5 CHAR (23), COL6 NUMERIC (4), FOREIGN KEY (COL1, COL2, COL4, COL3, COL5, COL6) REFERENCES T6118REF (COL1, COL2, COL4, COL3, COL5, COL6));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW TESTREPORT AS SELECT TESTNO, RESULT, TESTTYPE FROM HU.TESTREPORT;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); CREATE VIEW DOLLARS_PER_POUND (COMMODITY, UNIT_PRICE, FROM_DATE, TO_DATE) AS SELECT COMMODITY.C_NAME, (SUM ((TOT_PRICE * DOLLAR_EQUIV)) / SUM ((UNITS * POUND_EQUIV))), MIN (T_DATE), MAX (T_DATE) FROM C_TRANSACTION, COMMODITY, CURRENCY_TABLE, MEASURE_TABLE WHERE ( ( ( C_TRANSACTION.COMMOD_NO = COMMODITY.C_NUM ) AND ( C_TRANSACTION.CURRENCY = CURRENCY_TABLE.CURRENCY ) ) AND ( C_TRANSACTION.MEASURE = MEASURE_TABLE.MEASURE ) ) GROUP BY COMMODITY.C_NAME HAVING ( SUM ((TOT_PRICE * DOLLAR_EQUIV)) > 10000 ) CREATE VIEW COST_PER_UNIT (COMMODITY, UNIT_PRICE, CURRENCY, MEASURE) AS SELECT COMMODITY, ((UNIT_PRICE * POUND_EQUIV) / DOLLAR_EQUIV), CURRENCY, MEASURE FROM DOLLARS_PER_POUND, CURRENCY_TABLE, MEASURE_TABLE CREATE VIEW STAFF6_WITH_GRADES AS SELECT EMPNUM, EMPNAME, GRADE, CITY FROM STAFF6 WHERE ( ( GRADE > 0 ) AND ( GRADE < 20 ) ) WITH CHECK OPTION htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON SUN.ECCO TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT INSERT ON TESTREPORT TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); GRANT REFERENCES ON ACR_SCH_P TO SULLIVAN WITH GRANT OPTION htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON PROJ_P TO SULLIVAN;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON T6118REF TO FLATER;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON T118 TO FLATER;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON T6 TO FLATER;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT REFERENCES ON STAFF_P TO SULLIVAN;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT REFERENCES (C_NUM) ON COMMODITY TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
CREATE SCHEMA AUTHORIZATION SULLIVAN htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE WORKS_P (EMPNUM CHAR (3) REFERENCES SUN.STAFF_P (EMPNUM), PNUM CHAR (3), HOURS DECIMAL (5), FOREIGN KEY (PNUM) REFERENCES SUN.PROJ_P (PNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TTT (P1 DECIMAL (4) NOT NULL UNIQUE, P2 CHAR (4));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON TTT TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT REFERENCES ON SUN.ACR_SCH_P TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("GRANT REFERENCES ON SUN.STAFF_P TO SCHANZLE;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
CREATE SCHEMA AUTHORIZATION SCHANZLE htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE ACR_SCH_F (F1 DECIMAL (4), F2 CHAR (4), FOREIGN KEY (F1) REFERENCES SUN.ACR_SCH_P (P1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TAB5 (F15 CHAR (3), F5 CHAR (4), FOREIGN KEY (F15) REFERENCES SUN.STAFF_P (EMPNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TAB6 (F16 DECIMAL (4), F6 CHAR (4), FOREIGN KEY (F16) REFERENCES SULLIVAN.TTT (P1));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE RET_CATALOG (VENDOR_ID INT4, PRODUCT_ID INT4, WHOLESALE NUMERIC (10, 2), RETAIL NUMERIC (10, 2), MARKUP NUMERIC (10, 2), EXPORT_CODE CHAR (2), EXPORT_LICNSE_DATE CHAR (20), CHECK ( ( ( EXPORT_LICNSE_DATE IS NULL ) OR ( ( ( EXPORT_CODE = 'F1' ) OR ( EXPORT_CODE = 'F2' ) ) OR ( EXPORT_CODE = 'F3' ) ) ) ), CHECK ( ( ( EXPORT_CODE <> 'F2' ) OR ( WHOLESALE > 10000.00 ) ) ), CHECK ( ( RETAIL >= WHOLESALE ) ), CHECK ( ( RETAIL = (WHOLESALE + MARKUP) ) ));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); CREATE VIEW SALE_ITEMS AS SELECT * FROM RET_CATALOG WHERE ( MARKUP < (WHOLESALE / 10.0) ) WITH CHECK OPTION htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE RASTER (C1 INT4 NOT NULL, FOREIGN KEY (C1) REFERENCES SUN.COMMODITY (C_NUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE REFRESH (C1 CHAR (7), FOREIGN KEY (C1) REFERENCES SUN.COMMODITY (C_NAME));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE CPBASE (KC INT4 NOT NULL, JUNK1 CHAR (10), PRIMARY KEY (KC));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE CPREF (KCR INT4, JUNK2 CHAR (10), FOREIGN KEY (KCR) REFERENCES CPBASE);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1);); htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE FOUR_TYPES (T_INT INT4, T_CHAR CHAR (10), T_DECIMAL DECIMAL (10, 2), T_REAL FLOAT8);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
CREATE SCHEMA AUTHORIZATION XOPEN1
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE XOPEN1.ECCO (C1 CHAR (6));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE AAA (A1 CHAR (2), A2 CHAR (2), A3 CHAR (2));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE BBB (B1 CHAR (2), B2 CHAR (2), B3 CHAR (2) NOT NULL UNIQUE);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE CCC (C1 CHAR (2), C2 CHAR (2), C3 CHAR (2));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE CHAR_TEST (COL1 CHAR (254));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE INT_TEST (COL1 INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE SMALL_TEST (COL1 INT2);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE REAL_TEST (REF CHAR (1), COL1 FLOAT8);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE REAL3_TEST (COL1 FLOAT8, COL2 FLOAT8, COL3 FLOAT8);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE DOUB_TEST (REF CHAR (1), COL1 FLOAT8);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE DOUB3_TEST (COL1 FLOAT8, COL2 FLOAT8, COL3 FLOAT8);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE FLOAT_TEST (REF CHAR (1), COL1 FLOAT);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE INDEXLIMIT (COL1 CHAR (2), COL2 CHAR (2), COL3 CHAR (2), COL4 CHAR (2), COL5 CHAR (2), COL6 CHAR (2), COL7 CHAR (2));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE WIDETABLE (WIDE CHAR (118));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE WIDETAB (WIDE1 CHAR (38), WIDE2 CHAR (38), WIDE3 CHAR (38));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TEST_TRUNC (TEST_STRING CHAR (6));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE WARNING (TESTCHAR CHAR (6), TESTINT INT4);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TV (DEC3 DECIMAL (3), DEC1514 DECIMAL (15, 14), DEC150 DECIMAL (15, 0), DEC1515 DECIMAL (15, 15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE TU (SMINT INT2, DEC1514 DECIMAL (15, 14), INTEGR INT4, DEC1515 DECIMAL (15, 15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE STAFF (EMPNUM CHAR (3) NOT NULL UNIQUE, EMPNAME CHAR (20), GRADE DECIMAL (4), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE PROJ (PNUM CHAR (3) NOT NULL UNIQUE, PNAME CHAR (20), PTYPE CHAR (6), BUDGET DECIMAL (9), CITY CHAR (15));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE WORKS (EMPNUM CHAR (3) NOT NULL, PNUM CHAR (3) NOT NULL, HOURS DECIMAL (5), UNIQUE (EMPNUM, PNUM));");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE TABLE INTS (INT1 INT2 NOT NULL, INT2 INT2 NOT NULL);");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW TESTREPORT AS SELECT TESTNO, RESULT, TESTTYPE FROM HU.TESTREPORT;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON XOPEN1.ECCO TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("GRANT INSERT ON TESTREPORT TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON STAFF TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON WORKS TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON PROJ TO PUBLIC;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("GRANT ALL PRIVILEGES ON XOPEN1.AAA TO XOPEN2;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
GRANT SELECT, UPDATE ON XOPEN1.AAA TO XOPEN2 WITH GRANT OPTION
GRANT INSERT, DELETE ON XOPEN1.BBB TO XOPEN2 WITH GRANT OPTION
GRANT SELECT ON XOPEN1.BBB TO XOPEN2 WITH GRANT OPTION
htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT, INSERT ON XOPEN1.CCC TO XOPEN2;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
CREATE SCHEMA AUTHORIZATION XOPEN2
htPostgresql62xManager.stSqlInstruction.format ("CREATE VIEW XOPEN2V AS SELECT B1, B2, B3 FROM XOPEN1.BBB;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););
htPostgresql62xManager.stSqlInstruction.format ("GRANT SELECT ON XOPEN2.XOPEN2V TO XOPEN1;");
PGV_EXEC (htPostgresql62xManager.stSqlInstruction.data(), htPostgresql62xManager.ptPgconn, htPostgresql62xManager.finish(); exit (1););

}

  return 0;

}  /* main() */
